Copyright: ® 1995-1996 TECNOSOFT.


Contenidos
TECNOWIN

TECNOWIN 2D / 3D + TECNOCAD 2D / 3D  Help Menu .

© 1995 TECNOSOFT / F. JAVIER CUESTA GUTIERREZ. All Rights Reserved.

•	TECNOWIN 2D Help

•	TECNOWIN 3D Help

•	TECNOCAD 2D Help

•	TECNOCAD 3D Help


TECNOCAD
TECNOWIN INFORMATION

 TECNOWIN v.3.10 a - Architecture Extension (TECNOCAD).

TECNOWIN and TECNOCAD are © 1995 TECNOSOFT. All Rights Reserved.


ATECNOWIN 2D Help
TECNOWIN 2D Help

•	Support Commands

•	File Commands

•	Draw Comands

•	Edit Commands

•	Display Commands

•	Status Commands

•	Help Commands

•	Window Commands


ATECNOWIN 3D Help
TECNOWIN 3D Help

•	3DFace

•	3D Parameters

•	3D Change

•	Working Plane

•	Surfaces

•	Perspective

•	Sections

•	3D Windows

•	TECNOWIN-3D -ToolBox-


ATECNOCAD 2D Help
TECNOCAD 2D Help

•	Walls Commands

•	Doors Commands

•	Windows Commands

•	Other Commands


ATECNOCAD 3D Help
TECNOCAD 3D Help

•	Doors -3D Parameters-

•	Change 3D Door

•	Windows -3D Parameters-

•	Change 3D Window

•	Stairs

•	Multifloor

•	Calculate Walls Top


Contenidos
TECNOWIN

TECNOWIN  Help File.

© 1995-1996  TECNOSOFT  / F. JAVIER CUESTA GUTIERREZ . All Rights Reserved.

•	Support Commands

•	File Commands

•	Draw Comands

•	Edit Commands

•	Display Commands

•	Status Commands

•	Help Commands

•	Window Commands


TECNOCAD
TECNOWIN INFORMATION

 TECNOWIN v.3.10 : The New STANDARD in CAD for WINDOWS.

TECNOWIN is  © 1995-1996  TECNOSOFT . All Rights Reserved.


CSupport Commands
Support Commands

•	 Approx Commands

•	 SELECTION

•	 Filters

•	 Support Commands -Others-


Caprox Commands
Approx Commands

•	 INTERSECTION

•	 ENDPOINT

•	 MIDPOINT

•	 NAREST TO

•	 POINT

•	 PERPENDICULAR TO

•	 CENTER OF

•	 QUADRANT

•	 Fit Mode

•	 Cancel Fit Mode


Csupport Commands -Others-
Support Commands -Others-

•	 Reference Angle

•	 Reference Distance

•	 Reference Point

•	 Ortho


Cfile Commands
File Commands

•	 New

•	 Open

•	 Save

•	 Save As

•	 Printing Preview

•	 Printing

•	 Printer Setup

•	 Exit

•	 DXF Read

•	 DXF Write


Cdraw Commands
Draw Commands

•	 Line

•	 Polyline

•	 Circle

•	 Arc

•	 Point

•	 Text

•	 Dim

•	 Insert

•	 Hatch

•	 Bitmap


CCircle Drawing Commands
Circle Drawing Commands

•	 Circle -Center+Radius-

•	 Circle -3 Points-

•	 Circle -Tangent+Tangent+Radius-


CArc Drawing Commands
Arc Drawing Commands

•	 Arc -3 Points-

•	 Arc - Initial Ang.+ End Ang.+Radius -


CDim Commands
Dim Commands

•	 Linear Dim

•	 Radial Dim


CText Drawing Commands
Text Drawing Commands

•	 Text -Left Aligned-

•	 Text -Right Aligned-

•	 Text -Centered-


CHatch Drawing Commands
Hatch Drawing Commands

•	 Linear Hatch

•	 Raster Hatch


CLinear Hatch Drawing Commands
Linear Hatch Drawing Commands

•	 Linear Hatch -by Points-

•	 Linear Hatch -by Polyline-


CRaster Hatch Drawing Commands
Raster Hatch Drawing Commands

•	 Raster Hatch -Solid Color-

•	 Raster Hatch -Region-

•	 Raster Hatch -Bitmap-


CEdit Commands
Edit Commands

•	 Erase

•	 Copy

•	 Move

•	 Stretch

•	 Extend

•	 Extend -All-

•	 Cut

•	 Offset

•	 Fillet -Linear-

•	 Fillet -Radius-

•	 Unify

•	 Rotate -Without Copy-

•	 Rotate -With Copy-

•	 Mirror -Without Copy-

•	 Mirror -With Copy-

•	 Blocks

•	 Explode

•	 Edit Polyline

•	 Change

•	 Purge

•	 Interchange


CHandling Blocks Commands
Handling Blocks Commands

•	 Preview -Directories-

•	 Preview -Files-

•	 Preview -Blocks-

•	 Block -Define-

•	 Block -Write-

•	 Blocks -List-

•	 Block -Read-


CEdit Polylines Commands
Edit Polylines Command

•	 Convert

•	 Add objects

•	 Close Polyline


CCommands for Changing Objects
Commands for Changing Objets

•	 Change Layer

•	 Change Color

•	 Change Line Type

•	 Change Line Thick

•	 Change Texts

•	 Change Dims


CCommands for Changing Texts
Commands for Changing Texts

•	 Change Height

•	 Change Font

•	 Change Text


Ccommands for Changing Dims
Commands for Changing Dims

•	 Move Dim Texts

•	 Update Dims


CPurge Commands
Purge Commands

•	 Purge Blocks

•	 Purge Layers


CInterchange Commands
Interchange Commands

•	 OLE 2.0

•	 BMPCopy

•	 WMFCopy

•	 WMFWrite

•	 OBJCopy

•	 OBJPaste


Cdisplay Commands
Display Commands

•	 Zoom Window

•	 Zoom Previous

•	 Zoom Scale

•	 Zoom Extents


CStatus Commands
Status Commands

•	 Limits

•	 Units

•	 Margins

•	 Snap

•	 Dim Parameters

•	 Default Color

•	 Layers

•	 Display Parameters


CLayers Commands
Layers Command

•	 New Layer

•	 Current Layer

•	 Layers ON-OFF

•	 Layers COLOR


Pdisplay Parameters
Display Parameters

•	 Preview Directories Format

•	 Display Help

•	 Display Preview at Insert

•	 Display Raster Hatch

•	 Display Bitmaps


CHelp Commands
Help Commands

•	 About

•	 Cancel

•	 Redraw

•	 Undo

•	 Redo

•	 List

•	 Identify

•	 Area

•	 Distance


AArea
Area

•	 Area -by Points-

•	 Area -Polyline-


CWindows Commands
Windows Command

•	 New Window

•	 Cascade

•	 Tile

•	 Aerial View

•	 TECNOWIN-II


 INTERSECTION

Returns the intersection point respect the objects that are into the cursor-sight.

SITUATION:

Approximation Menu.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

COMMENT:

Returns the point intersection to two objects. If the only object is a polyline object the command does not work. Use the ENDPOINT command in this case.

SEE ALSO:


 ENDPOINT

Returns the ENDPOINT of a object (line , arc, polyline), which is captured into the cursor-sight.

SITUATION:

Approximation Menu.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

COMMENT:

SEE ALSO:


 MIDPOINT

Returns the MIDDLE POINT of a object (line, arc) which is captured into the cursor-sight.

SITUATION:

Approximation Menu.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

SEE ALSO:


 NEAREST TO

Returns the NEAREST point to a object (line, circle, arc, polyline) which is captured into the cursor-sight.

SITUATION:

Approximation MENU.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

SEE ALSO:


 POINT

Returns the point of a object which is captured into the cursor-sight.

SITUATION:

Approximation MENU.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

COMMENT:

SEE ALSO:


 PERPENDICULAR TO

Returns the PERPENDICULAR POINT to a object which is captured into the cursor-sight.

SITUATION:

Approximation Menu.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

SEE ALSO:


 CENTER OF

Returns the CENTER of a object (circle, arc) which is captured into the cursor-sight.

SITUATION:

Approximation Menu.

TECNOWIN-I TOOLBOX.

PARAMETERS:

Pick point with mouse.

COMMENT:

SEE ALSO:


 QUADRANT OF

Returns the point corresponding to the nearest QUADRANT of a circle / arc object which is captured into the cursor-sight.

SITUATION:

Approximation Menu.

PARAMETERS:

Pick point with mouse.

COMMENT:

SEE ALSO:


 Fit Mode

Fits a reference (approx) mode (INTERSECT, ENDPOINT, ...). This reference mode will be applied to any new point.

   SITUATION:

Approximation Menu.

   PARAMETERS:

 List with all approx modes for selecting one mode.

   COMMENT:

Allows to use the same reference mode in all point entries. For example: if we fit the INTERSECT mode, the cursor-sight asking for an intersection point appears when we enter any point.

 It can be useful in some commands which we use a reference mode ever. For example: it can be useful fit the POINT reference mode in the AREA command.

 For deactivating the reference mode and return the cursor to its normal mode we must call the CANCEL FIT MODE command.

SEE ALSO: Cancel Fit Mode


 Cancel Fit Mode

Cancels the reference mode which it was previously fitted.

   SITUATION:

Approximation MENU.

   PARAMETERS:

None.

   COMMENT:

Cancel / deactivate the previously fitted reference mode. If the user has been working with the FIT REFERENCE MODE command must pick after this command to cancel the FIT command.

SEE ALSO: Fit Mode


 Reference Angle

Changes the default working angle for a new specified angle.

   SITUATION:

UP TOOLBOX.

   PARAMETERS:

Dialog Frame to enter the new angle. There is a combined list to select one of its values   (0,30,60, etc.). If the angle is anyone of the list you can enter your angle by keyboard (in sexag. degrees).

  Other chance: If your angle is the same that the angle of a line object you can pick the button Pick Line and  pick with the mouse that reference line.

   COMMENT:

 Changing the working angle can be useful when we are working in specified directions, different of the default directions (0,90 degrees) in the application.

  This command is TRANSPARENT, I mean, it can be picked at the data request of another command. It permits us to change the angle in dynamic mode. This command usually works with the ORTHO command for changing the working edges to a new position specified by the angle.

  Other useful working mode, regardless ORTHO command, consists in assigning a specified angle and before / after this command a REFERENCE DISTANCE. Then when we pick a point it will be moved in polar coordinates the specified distance and angle with regard to the previously picked point.

SEE ALSO:  Reference Distance

                              Reference Point


 Reference Distance

Changes the default working distance to the new specified value.

   SITUATION:

Approximation Menu.

UP TOOLBOX.

    PARAMETERS:

Dialog Frame  for entering the new distance (in meters).

   COMMENT:

 This support command applies for defining the distance between two points before picking a point. In this way, when we pick a point to a TECNOWIN request (for example, LINE command), the point will be moved in the direction (angle) defined when picking. The REFERENCE ANGLE also will be useful for defining the angle value previously.

SEE ALSO: Reference Angle

                             Reference Point


 Reference Point

Defines a reference point to be used by other command.

   SITUATION:

Approximation Menu.

UP TOOLBOX.

   PARAMETERS:

Pick point. It usually works in conjunction with APPROX commands (INTERSECTION, ENDPOINT ...)

   COMMENT:

 This support command usually applies for defining a reference (base) point so that when we introduce new DISTANCE values (REFERENCE DISTANCE command) and ANGLE value  (if we must change the default angle with the REFERENCE ANGLE command) a new point situated to a dist / angle of the REFERENCE POINT is defined.

  It is very useful for defining start points in some commands like LINE command. For example in this case when the application ask for From point: we can define the start point based in a reference point: firstly we pick the reference point and then we give a distance and angle values (if necessary) by means of REFERENCE DISTANCE / REFERENCE ANGLE commands. The first line point is defined.

SEE ALSO: Reference Angle

                              Reference Distance


 ORTHO

Activates the Ortho working mode (Working Angles of 0,90,180,270 degrees by default).

SITUATION:

UP TOOLBOX.

PARAMETERS:

 None. It toggles ON/OFF by picking the button.

COMMENT:

  The Ortho working mode is essential in many cases because if permits to move on the screen with the mouse following two orthogonal directions. It forces the mouse to convert its movements in screen movements following two orthogonal edges / directions.

  The angle which defines the ortho direction is one of the edges because the other edge is 90 degrees with regard to the base edge. The default angle is 0 degrees. It can be changed with the ANGLE REFERENCE support command.

   The Ortho command is the only one that is not in any Menu. It is only in the UP TOOLBOX.

   The Ortho button toggles ON/OFF Ortho mode. We call this button a state button.

SEE ALSO: Snap

                          Reference Angle


 New

  Makes a new (empty) document.

   SITUATION:

      Files Menu.

      UP TOOLBOX.

   PARAMETERS:

    None.

  COMMENT:

Makes a NEW document (drawing) without objects (empty). It is the base option to generate a drawing.

SEE ALSO: Open

                             Save

                             Save As


 Open

 Reads (Opens) an existing document (drawing).

  SITUATION:

       Files Menu.

       UP TOOLBOX.

 PARAMETERS:

    Dialog Frame for opening files.

 COMMENT:

   Opens a document (drawing , file. We can use equally the three words) and show its information in screen. The document can be modified and we can save again it either with the same name (SAVE command) or with another name (SAVE AS command).

SEE ALSO: New

                             Save

                             Save As


 Save

Writes (saves) a document to the physical support with the same name if it already exists.

     SITUATION:

       Files Menu.

       UP TOOLBOX.

     PARAMETERS:

   Dialog Frame  for saving files.

     COMMENT:

   Write a document (drawing) to the physical support (hard disk, diskette) with the name that we type in the Dialog Frame. If the document is being saved by first time (the user started from the NEW COMMAND) , appears the Dialog Frame for SAVING AS Document. But please keep on mind this fact: The SAVE button in UP TOOLBOX only will work in case the document already exists in the physical support. That is to say in the case it was already saved to the physical support from the File Menu .

SEE ALSO: Save As


 Save As

 Writes (saves) a document to the physical support.

     SITUATION:

     File Menu.

     PARAMETERS :

   Dialog Frame for saving files.

     COMMENT:

 Write a document (drawing) to the physical support (hard disk, diskette) with the name that we type in the Dialog Frame. The name which appears by default is the document name. If we want save it with other name we must type it.

SEE ALSO: Save


Printer Preview
 Printing Preview

Permits to do a drawing "preview" on the screen before we print it out.

   SITUATION:

      File Menu.

      UP TOOLBOX.

   PARAMETERS:

  * Lower left corner of the drawing area which we wish to print.

  * Upper right corner of the drawing area which we wish to print.

  *  Scale Factor for printing. If  the mark in "Fit Scale to Paper Format" is on, then TECNOWIN calculates the scale for viewing the drawing making the most of the paper, although we put a Scale factor in the dialog. So if we want to print at Scale we must:

 a) Type the Scale (If different of 1/100). b) Deactivate the mark in Fit Scale to paper format.

     COMMENT:

 Does a preview of a piece of drawing. We can see in the screen the drawing in the same mode it was printed by the default printer device..

SEE ALSO: Printing

                             Printer Setup


 Printing

Prints the drawing in the printer device.

     SITUATION:

       File Menu.

       UP TOOLBOX.

     PARAMETERS:

* Lower left corner of the drawing area which we wish to print.

* Upper right corner of the drawing area which we wish to print.

* Dialog Frame to select printer parameters (paper size, resolution). You also can change the default printer device.

*  Scale Factor for printing. If  the mark in "Fit Scale to Paper Format" is on, then TECNOWIN calculates the scale for viewing the drawing making the most of the paper, although we put a Scale factor in the dialog. So if we want to print at Scale we must:

 a) Type the Scale (If different of 1/100). b) Deactivate the mark in Fit Scale to paper format.

     COMMENT:

  Prints the area defined by two corners in the printer device (which can be changed in the Dialog  Frame) with a defined paper size and Scale Factor.

SEE ALSO: Printing Preview

                             Printer Setup


 Printer Setup

Changes the default printer device in WINDOWS.

SITUATION:

 File Menu.

 UP TOOLBOX.

PARAMETERS:

 Dialog Frame to select the default printer device for WINDOWS.

COMMENT:

Changes the default printer device for WINDOWS, so we can print with a printer without needing to get out the environment.

SEE ALSO: Printing Preview

                            Printing


 DXF Read

Reads an interchange DXF file.

SITUATION:

File Menu.

PARAMETERS:

Dialog Frame for opening files.

COMMENT:

 Reads a DXF file selected by the user in a Dialog Frame. This command is very useful to interchange data with other CAD programs like AUTOCAD (*).

 The limitations reading DXF files are the following items:

    * It only reads 2D information and 3dfaces information.

    * You can be in trouble with files that work with Space / Paper Model. For avoiding this problem we recommend make an AUTOCAD drawing with only Space Model information, then write the DXF file.

   * It translates the 1-7 AUTOCAD colors to the equivalent TECNOWIN colors.

   * AUTOCAD Hatches translate to TECNOWIN blocks with the *X prefix (*X1,*X2, etc.). Their color can not be the same in TECNOWIN . For hatches with the same color in AUTOCAD / TECNOWIN you must pick the command CHANGE OBJECT COLOR (= COLOR BY LAYER) after the DXF file was read.

   * AUTOCAD DIMS will be TECNOWIN DIMS objects,  but the block names that AUTOCAD handle for dims remain like blocks in TECNOWIN with the *D. We recommend purge them after the DXF file was read.

   *  Remember that layer 0 is the AUTOCAD default layer and layer TW is TECNOWIN default layer.  Anyway all the AUTOCAD layer names will have the same names in TECNOWIN,  including layer 0.

(*) AUTOCAD is a trademark of AUTODESK, Inc.

SEE ALSO: DXF Write


 DXF Write

Writes an interchange DXF file.

SITUATION:

File Menu.

UP TOOLBOX.

PARAMETERS:

Dialog Frame for saving files.

COMMENT:

  DXF files allows export our drawing information in DXF interchange format which can be read for the most important CAD programs including AUTOCAD(*).

  There is not any special thing about this process. There is a full compatibility and the only strange thing that a AUTOCAD user can find is that the layer 0 will not exist if it was not generated in TECNOWIN.

 (*) AUTOCAD is a trademark of AUTODESK, Inc.

SEE ALSO: DXF Read


 Line

Draws a straight line between two points defined by the user.

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

  Start point of the line. End point of the line.

COMMENT:

Draws a line object between two points defined by the user. You can enter the points either by mouse or by keyboard. If you are entering the point by mouse you can use the approx commands (intersect, endpoint, midpoint, etc.) . If you are entering by keyboard the first point coordinates must be absolutes. The second point coordinates can be:  a) Absolutes b) Relatives, referred to the first point in polar coordinates (cartesian / angle-dist) .

  For defining the first point can be useful the REFERENCE POINT support command because we can pick the reference point, then (if necessary) REFERENCE ANGLE and then REFERENCE DISTANCE referred to the reference point.

   We also can fit the line length with the REFERENCE DISTANCE support command (and the angle with the REFERENCE ANGLE support command). In this way we pick the first point, then we pick in any point in our line direction. The line will have the length entered in DIST and the angle will be defined by the first-second point picked.

SEE ALSO: Approx Commands

                              Reference Point

                              Reference Distance

                              Reference Angle


 Polyline

Draws a group of lines between points defined by the user.

SITUATION:

* Menu: Draw Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

  Points (one after other) defining the lines.

COMMENT:

 Draws a polyline object (group of  successive points) between points defined by the user. The points can be entered either by mouse or by keyboard. If you are entering the point by mouse you can use the approx commands (intersect, endpoint, midpoint, etc.) . If you are entering by keyboard the first point coordinates must be absolutes. The second point (and so on) coordinates can be:  a) Absolutes b) Relatives, referred to the first point in polar coordinates (cartesian / angle-dist) .

  For defining the first point can be useful the REFERENCE POINT support command because we can pick the reference point, then (if necessary) REFERENCE ANGLE and then REFERENCE DISTANCE referred to the reference point.

   We also can fit the line length with the REFERENCE DISTANCE support command (and the angle with the REFERENCE ANGLE support command). In this way we pick the first point, then we pick in any point in our line direction. The line will have the length entered in DIST and the angle will be defined by the first-second point picked.

   The polyline object drawn in this way is only a group of lines. However the object can be modified later for adding arcs or lines. You also can edit a line/arc to convert in a polyline. Then you can add any objects (lines, arcs).

SEE ALSO: Approx Commands

                              Reference Point

                              Reference Distance

                              Reference Angle

                              Explode


 Point

Draws a Point object.

SITUATION:

* Menu: Draw Menu.

* TECNOWIN-I TOOLBOX.

PARAMETERS:

  The point either by keyboard or by mouse.

COMMENT:

 Draws a point object entering either by mouse or by keyboard the appropriate point.

.

SEE ALSO:


 Insert

Draws a Block object with its insert point, rotation angle and Scale Factors referred X and Y edges.

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-II  TOOLBOX.

PARAMETERS:

Insert point (mouse / keyboard).

Dialog Frame:

 List-Box showing the blocks in drawing. We must select our block..

 Controls for rotation angle (with some values) and Factor Scales along X and Y edges.

  The Preview can be activated either making double click over the block selected in list-box or changing the default angle in the angle list.

OK Button to insert the block.

Cancel Button will cancel the Insert command.

(The Preview function can be deactivated in the Status Menu).

COMMENT:

 Draws a block object in a insert point with the angle and Scale Factors defined by user in the Dialog Frame.

SEE ALSO: Commands for handling Blocks

                              Explode


 Bitmap

Inserts a Bitmap object (.bmp or .dib files), stretching it to the rectangular dimensions defined by the user.

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-II TOOLBOX.

PARAMETERS:

* Lower left point of the rectangle including the Bitmap.

* Dialog Frame:

  Directory Select (double-click) and File Select.

  Preview: (double click) on selected file / press Preview button.

  Rectangle dimensions for the Bitmap (in METERS).

COMMENT:

 Draws a Bitmap object which source is a Bitmap file (.bmp) or Device Independent Format (.dib).    The Dialog Frame  permits a file Preview for .bmp files. If you wish insert .dib files please rename them as  .bmp.

  If the user deactivates the Display Bitmaps in the Status Menu, a schematic drawing containing a rectangle and a text with the file name will represent the Bitmap object. We recommend this representation to speed up displays and edit commands.

  The Bitmap objects will be referred to the selected Bitmap file. So this file will can not be ERASED, RENAMED or CHANGED of the directory because there will be an error.

The Bitmap objects only support the following edit commands: Erase, Move, Copy and Stretch (this command permits to change the rectangle dimensions of the Bitmap).

This option can be more affordable for the user than inserting a Bitmap OLE object for simple Bitmaps (256 colors maximum). For more complex Bitmaps or if you want to make your Bitmap in place we recommend insert OLE objects.

SEE ALSO: Raster Hatch -Bitmap-

                             Display Bitmaps


 Circle -Center+Radius-

Draws a Circle with center in a point and radius.

SITUATION:

* Menus: Draw Menu. Circle Submenu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

  Center point of the circle. Radius by keyboard or picking another point (referred to center point) to define the radius.

COMMENT:

Draws a circle object. The center is a point defined by the user either by mouse or by keyboard.

After defining the center point a Dialog Frame appears for typing the numeric value for the radius or you can pick the "Pick" button to define a second point picking with mouse or by keyboard. Then the radius and the circle are defined.

SEE ALSO: Circle -3 Points-

                              Circle -Tangent+Tangent+Radius -


 Circle -3 Points-

Draws a Circle object defined by three points.

SITUATION:

*  Menus: Draw Menu. Circle Submenu.

PARAMETERS:

  The three points needed for defining the circle.

COMMENT:

 Draws a circle object defining it by 3 points. The points can be entered either by mouse or by keyboard..

SEE ALSO: Circle - Center+Radius -

                              Circle -Tangent+Tangent+Radius-


 Circle -Tangent+Tangent+Radius-

Draws a Circle object defined by two tangents (lines) and the circle radius.

SITUATION:

* Menus: Draw Menu.Circle Submenu.

PARAMETERS:

  Selection of two lines which represent the tangents. Numeric introduction of radius with a Dialog Frame.

COMMENT:

Draws a circle object. You must select by mouse the tangent lines and you must enter the radius by keyboard  in a Dialog Frame. Tangent lines can not be parallel lines.

SEE ALSO: Circle -Center+Radius-

                              Circle -3 Points-


 Arc -3 Points-

Draws an Arc object defined by three points.

SITUATION:

* Menus: Drawing Menu. Arc Submenu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

  The three points needed for defining the arc.

COMMENT:

Draws an arc object entering the three points by mouse or by keyboard.

SEE ALSO:  Arc -Initial Ang.+ End Ang.+Radius-


Arc -Initial Ang.+End Ang,+Radius-
 Arc -Initial Ang.+End Ang.+Radius-

Draws an Arc object defined with the initial (start) angle, the end angle and the radius.

SITUATION:

* Menus: Draw Menu . Arc Submenu.

PARAMETERS:

  The initial angle, the end angle, the Radius.

COMMENT:

Draws an arc object entering the three needed points by mouse or by keyboard.

SEE ALSO: Arc -3 Points-


Linear Dim
 Dim -Linear-

Draws a Dim object between two points according to the current Dim Parameters.

SITUATION:

* Menus: Draw Menu. Dim Submenu.

PARAMETERS:

   * First point to dim.

    * Second point to dim.

    * Dim Text position referred to the line defined by the two lines before (it must not be coincide with the line defined by the two points).

COMMENT:

SEE ALSO: Dim Parameters

                              Dim -Radial-

                              Explode

                              Move Dim Texts

                              Update Dims


Radial Dim
  Dim -Radial-

Draws a Dim object which is referred to a Circle / Arc radius.

SITUATION:

* Menus: Draw Menu. Dim Submenu.

PARAMETERS:

  * Single selection of circle / arc object to dim.

   * Reference point to draw the dim text.

COMMENT:

SEE ALSO: Dim Parameters

                              Dim -Linear-

                              Explode

                              Move Dim Texts

                              Update Dims


 Text    - Left Aligned -

Draws a Text object aligned to the left with respect to the insert point.

SITUATION:

* Menus: Draw Menu. Text Submenu.

* TECNOWIN-I TOOLBOX.

PARAMETERS:

  Insert Point.

  Dialog Frame:

     The Text (it can be multi-line).

     The Text Rotation Angle.

     Button to select a font for the text. If you dont press the Font button the text will have the previous font (the font for the last text entered). If there is not a previous font the default font is Courier New.

COMMENT:

 Draws a text object aligned to the left with respect an insert point and with the font and height selected. The font color does not matter because the text will be drawn with the working color layer.

SEE ALSO: Text -Right Aligned-

                              Text -Centered-

                              Change Objects


 Text      - Right Aligned -

Draws a Text object aligned to the right with respect to the insert point.

SITUATION:

* Menus: Draw Menu. Text Submenu.

* TECNOWIN-I TOOLBOX.

PARAMETERS:

  See Text  - Left Aligned -

COMMENT:

Draws a text object aligned to the right with respect a insert point and with the font and height selected. The font color does not matter because the text will be drawn with the working color layer.

SEE ALSO: Text - Left Aligned -

                              Text - Centered -

                              Change Objects


Text -Center-
 Text  - Centered -

Draws a Text object centered with respect to the insert point.

SITUATION:

* Menus: Draw Menu. Text Submenu.

* TECNOWIN-I TOOLBOX.

PARAMETERS:

  See Text - Aligned -

COMMENT:

Draws a text object aligned to the right with respect a insert point and with the font and height selected. The font color does not matter because the text will be drawn with the working color layer.

SEE ALSO:Text - Left Aligned -

                            Text - Right Aligned -

                            Change Objects


 Linear Hatch  -by Points-

Draws a linear (vectorial) hatch.

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-II TOOLBOX.

PARAMETERS:

* Group of points (mouse / keyboard).

* Selection of internal closed objects (polylines, circles) or blocks that will be not hatched.

* Linear Hatch Dialog Frame:

Select your hatch double-picking on it.

Hatch Parameters: Separation between lines.

COMMENT:

Draws a linear hatch object marking the boundaries of a polygonal defined by points. The hatch can be selected in a Dialog Frame thus like the separation between lines. You also can select internal closed objects (polylines, circles, blocks) that will be not hatched. The hatch will have the *XT prefix.

SEE ALSO: Linear Hatch -Polyline-

                              Explode


 Linear Hatch -Polyline-

Draws a linear (vectorial) hatch.

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-II TOOLBOX.

PARAMETERS:

* SINGLE SELECTION of a external Polyline. This polyline will mark the boundaries of the hatch.

* SELECTION of internal closed objects (polylines, circles) or blocks that will be not hatched.

* Linear Hatch Dialog Frame:

Select your hatch clicking on it.

Hatch Parameters : Separations between lines.

COMMENT:

Draws a linear hatch object delimited by a external polyline. Select your hatch and the lines separation in the Dialog Frame. You can choose internal closed objects (polylines, circles, blocks) that will not be hatched. The hatch will have the *XT prefix.

SEE ALSO: Linear Hatch -by Points-

                              Explode


 Raster Hatch - Solid Color -

Draws a raster hatch (solid color).

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-II TOOLBOX.

PARAMETERS:

* Internal point.

* Color Dialog Frame.

COMMENT:

Draws a raster hatch of type solid color. The hatch will extend from the internal point picked by the user to all directions filling the area with the color selected by the user searching for the boundaries. The boundaries MUST BE CLOSED and they must be right defined for avoiding the escape of the hatch through any holes.

 The Scale Factor of the drawing (specially in screen) can affect to the hatch extents, because circles that contain a solid hatch can be reduced to a point. Also parallel lines can be reduced to one line. In this way the hatch appearance can be affected (the hatch can escape in any direction).

 So and to speed up drawing display we recommend the option for schematic drawing of hatches (Display Raster Hatch command in the Help Menu) when working in large ZOOMS.

SEE ALSO: Raster Hatch -Bitmap-

                              Display Raster Hatch


 Raster Hatch - Region -

Draws a raster hatch (solid color) in objects type closed POLYLINE or BLOCK (Region Type).

SITUATION:

* Menus: Draw Menu. Hatch SubMenu.

PARAMETERS:

* Single Selection of the object. This object must be a closed Polyline or a Block Type Region (see comment). If not the command will not have any effect.

* Colors Dialog Frame.

*  After filling a object you can select another. The command finished when you click the right button of the mouse.

COMMENT:

Draws a hatch raster object (solid color) in objects Region Type. We call Region two types of objects:

  a) A closed polyline.

  b) A block compounds by closed polylines. You must define the external polyline as the first block object . The other polylines, if exist, must be internal to the external polyline. So that when you apply the command to the block the effect is a solid zone (Region) delimited by the external polyline and with other zones (holes) delimited by internal polylines.

  The hatch extends in all directions from the point picked by the user searching the boundaries (polylines). IMPORTANT: The polylines must be closed.

SEE ALSO: Raster Hatch - Solid Color -


 Raster Hatch -Bitmap-

Draws a raster hatch Bitmap based.

SITUATION:

* Menus: Draw Menu.

* TECNOWIN-II TOOLBOX.

PARAMETERS:

* Internal point.

* Dialog Frame for selecting the Bitmap for filling:

  Directory select (double-click).File select.

  Directory Preview: Double click on file list to draw hatches or press the More button.

  The "More" button allows to view all the directory bitmaps that not fit in the first display.

   You can select your hatch picking on its drawing.

COMMENT:

 Draws a raster hatch object based in a elemental Bitmap.

The hatch will extend from the internal point picked by the user to all directions filling the area with the color selected by the user searching for the boundaries. The boundaries MUST BE CLOSED and they must be right defined for avoiding the escape of the hatch through any holes.

 The Scale Factor of the drawing (specially in screen) can affect to the hatch extents, because circles that contain a solid hatch can be reduced to a point. Also parallel lines can be reduced to one line. In this way the hatch appearance can be affected (the hatch can escape in any direction).

 So and for speeding up drawing display we recommend the option for schematic drawing of hatches (Display Raster Hatch command in the Help Menu) when working in large ZOOMS.

SEE ALSO: Raster Hatch -Solid Color-

                              Display Raster Hatch


 Erase

Erases a group of objects previously selected.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I TOOLBOX.

PARAMETERS:

* Selection of objects to be erased.

COMMENT:

Erase a group of objects selected by the SELECTION support command.

SEE ALSO: Undo


 Copy

Copies a group of objects previously selected.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* Selection of objects.

* Start point of movement (mouse / keyboard).

* End point of movement (mouse / keyboard).

COMMENT:

 Copies a group of objects selected by the SELECTION support command from a point (start point of movement) to another point (end point of movement).

 The objects are copied referred to that points, I mean , according the vector defined by the start point of movement and the end point of movement.

SEE ALSO: Move


 Move

Moves a group of objects previously selected.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* Selection of objects.

* Start point of movement (mouse / keyboard).

* End point of movement (mouse / keyboard).

COMMENT:

 Moves a group of objects selected by the SELECTION support command from a point (start point of movement) to another point (end point of movement).

 The objects are moved referred to that points, I mean , according the vector defined by the start point of movement and the end point of movement.

SEE ALSO: Copy


 Stretch

Adapt a group of objects previously selected.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* Selection of objects.

* Start point of movement (mouse / keyboard).

* End point of movement (mouse / keyboard).

COMMENT:

 Adapt a group of objects selected by the SELECTION support command from a point (start point of movement) to another point (end point of movement).

 The objects are adapted referred to that points, I mean , according the vector defined by the start point of movement and the end point of movement.

 The objects that can be adapted must be LINES, POLYLINES and DIMS (The dims will adapt their text to the new dimension). The Stretch command works like the MOVE command on the rest of the objects.

  We recommend use the Capture Selection mode because the process with the selected objects is the following:

   * If the objects are fully contained into the selected rectangle the Stretch command will work in the same way that the Move command.

    *  If the objects are partially contained into the selected rectangle (In other words they are intercepted by the selected rectangle), they will be stretched / shorten (in generic mode we say STRECTHed) according to the vector defined by the the start point of movement and the end point of movement.

SEE ALSO: Move


 Extend

Extends a group of objects previously selected to other object that is the boundary object.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SINGLE SELECTION of the boundary edge.

* SELECTION of objects for extending to the boundary edge.

COMMENT:

 Extends a group of objects previously selected to other object that is the boundary object.

 The boundary edge must be line, circle o arc.

SEE ALSO: Extend -All-

                              Fillet -Linear-


 Extend -All-

Extends a group of line-objects previously selected to other object that is the boundary object.

SITUATION:

* Menus: Edit Menu.

PARAMETERS:

* SINGLE SELECTION of the boundary edge.

* Pick a start point for defining a line that cut all the lines to extend.

* Pick a end point for defining a line that cut all the lines to extend.

COMMENT:

Works like the EXTEND command but it allows select at the same time a group of lines picking two points that define a line that cut all the lines to extend.

SEE ALSO: Extend

                              Fillet -Linear-


 Cut

Cuts a group of selected objects based in other group of selected objects that work as cutting edges.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SINGLE SELECTION of the boundary edge.

* SELECTION of objects for extending to the boundary edge.

COMMENT:

Cuts a group of selected objects by other selected objects called cutting edges. The cutting edges can be lines, circles, arcs. The objects to cut can be also lines, circles, arcs.

 To cut a object for another object must be exist a physic cut (in screen) between both of them.

SEE ALSO: Extend


 Offset

Makes a copy operation (make a parallel line to a defined distance) over line objects and a  operation to generate concentric objects over circle / arc / polyline objects modifying the radius the defined distance.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* Selection of objects.

* Pick point to indicate the right side / semiplane.

COMMENT:

 This command works over line / circle / arc / polylines objects. It makes a parallel line to a defined distance and side of the selected line when working with lines. It makes concentric objects with relation to the selected objects when working over circles / arcs . The radius will be larger / lesser than the selected object in function the picked point is internal / external to the circle / arc.

SEE ALSO: Copy


 Fillet -Linear-

Fillets two lines, extend / short them to the intersect point.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SINGLE SELECTION of line 1.

* SINGLE SELECTION of line 2.

COMMENT:

  Fillets two lines extend / short them according to the position of the intersection point and the position of the line section.

 You must use the SINGLE SELECTION mode. You can not use the Window / Capture method for selecting them.

SEE ALSO: Fillet -Radius-


 Fillet -Radius-

Fillets two lines generating an arc of a defined radius tangent to both.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SINGLE SELECTION of line 1.

* SINGLE SELECTION of line 2.

* Radius (Dialog Frame).

COMMENT:

  Fillets two lines extend / short them according to the position of the intersection point and the position of the line section. It also generate a tangent arc to both with a defined radius.

 You must use the SINGLE SELECTION mode. You can not use the Window / Capture method for selecting them.

SEE ALSO: Fillet -Radius-


 Unify

Converts two lines (with the same direction) in only one.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SINGLE SELECTION of line 1.

* SINGLE SELECTION of line 2.

COMMENT:

 Unify two lines converting them in only one.

 You must use the SINGLE SELECTION mode. You can not use the Window / Capture method for selecting them.

SEE ALSO: Fillet -Linear-


 Rotate -Without Copy-

 Rotates a group of selected objects with relation to a point (rotation edge) a selected angle.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* Selection of objects to rotate.

* Point (rotation edge) mouse/keyboard.

* Dialog Frame: Rotation Angle.

COMMENT:

 Rotates the objects around the defined point (rotation edge) a selected angle (rotation angle).

 The Rotation Angle must be in sexagesimal degrees. Its sign will be positive in CLOCKWISE.

SEE ALSO: Rotate -With Copy-


 Rotate -With Copy-

Rotates a group of selected objects with relation to a point (rotation edge) a selected angle but it also make a copy of the selected objects.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* Selection of objects to rotate.

* Point (rotation edge) mouse/keyboard.

* Dialog Frame: Rotation Angle.

COMMENT:

 Please see the Rotate -Without Copy- command.

 This command is different of the Rotate -Without Copy- command in one thing: The selected objects will not be altered and the rotation operation will be apply to a copy of them.

SEE ALSO: Rotate -Without Copy-

                               Copy


 Mirror -Without Copy-

Makes a symmetry operation with relation to a line-edge of symmetry.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SELECTION of objects to mirror.

* SINGLE SELECTION of a line like mirror edge.

COMMENT:

 We call mirror a symmetry operation with relation to a line that we call symmetry edge.

  The texts (for obvious reasons) will not change their rotation angle.

  This operation will not work with Bitmaps objects.

SEE ALSO: Mirror -With Copy-


 Mirror -With Copy-

Makes a symmetry operation with relation to a line-edge of symmetry but it also makes a copy of the selected objects.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-I  TOOLBOX.

PARAMETERS:

* SELECTION of objects to mirror.

* SINGLE SELECTION of a line as mirror edge.

COMMENT:

 Please see MIRROR -WITHOUT COPY- Command.

This command is different of the Mirror -Without Copy- command in one thing: The selected objects will not be altered and the rotation operation will be apply to a copy of them.

SEE ALSO: Mirror -WithOut Copy-

                              Copy


 Explode

 Converts a group of complex selected objects (blocks, polylines, dims) in their basic objects.

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-II  TOOLBOX.

PARAMETERS:

* SELECTION of objects to explode.

COMMENT:

 A complex object is a polyline / block / dim object, I mean, a object that is made of simpler objects.

 We understand like explode the process to convert a complex object  in their elemental objects (lines, arcs, texts, ... or including other complex objects).

  When we explode a object each elemental object will pass to the corresponding layer (the layer which it was created) independently of the layer that the block belongs to. If  that layer does not exist in the drawing it will be created. In relation to the color, it also will be the color object. If we want to change any object color to coincide with the layer that the block belongs to (if the layer color is different to the object color) you must pick Change Color (= Layer option) command.

SEE ALSO: Commands for handling Blocks

                              Insert

                              Polyline

                              Dim Commands

                              Undo


Preview -Directories-
 Directories Preview

 Allows, through a Dialog Frame, see all the .tnt drawings of a directory and insert a drawing like block (if we wish).

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-II  TOOLBOX.

PARAMETERS:

    Dialog Frame:

     * List-box to management of directories and their files.

     * Making double-click on a directory will see the .tnt files (drawing files) in it in the left list-box (file list-box).

     * Making double-click on the pre-selected file in the file list-box we can see that file and all the drawing files behind it.

     * We get the same effect pressing the More button. This button also allows to see more files if all of them do not fit in the dialog.

     * Making click on a drawing frame the corresponding drawing will be inserted like block.

COMMENT:

  Through a Dialog Frame you can see all the drawing files that are in a directory. This fact allows to choose one of them to insert like block in the drawing. It is a good idea storing each  drawing library in a different directory.We call drawing library a useful group of drawings that we use to insert like blocks in our drawings. We also could call this command Libraries Preview.

SEE ALSO:Preview - Blocks-


 Preview - Files -

 Allows, through a Dialog Frame, see each one of the .tnt drawings in a frame window and inserts a drawing like block (if we wish).

SITUATION:

* Menus: Edit Menu.

* TECNOWIN-II  TOOLBOX.

PARAMETERS:

 Dialog Frame:

      * List-box to management of directories and their files.

      * Making double-click on a directory will see the .tnt files (drawing files) in it in the left list-box (file list-box).

      * Making double-click on the pre-selected file in the file list-box we can see that file in a window.

      * We get the same effect pressing the Preview button.

.

     * Pressing the READ button the drawing will be read like block and will be added to the block-list of our drawing but it will not be inserted.

    *  Pressing the Insert button the INSERT BLOCK command will be activated to insert the block into drawing.

     * If we pick the OK command the drawing will be open like another document.

       DESCRIPTION:

   Through a Dialog Frame we can see a drawing file for a) Seeing b) Reading like block c) Inserting like block d) Opening it like document.

    This command can also be useful to see drawings before open them.

SEE ALSO: Preview -Blocks-


 Preview -Blocks-

Allows, through a Dialog Frame, see the blocks in the drawing and insert a block if you wish.

  SITUATION:

            Edit Menu. Preview Submenu

            TECNOWINII TOOLBOX.

  PARAMETERS:

  Dialog Frame:

     * Listbox for selecting block.

     * If you make double-click on the pre-selected block you can see it in a window.

     * You can get the same effect pressing the "Preview" button.

     * Pressing the "Insert" button the INSERT BLOCK command will be activated and the block can be inserted in the drawing.

       COMMENT:

   Through a Dialog Frame you can see all drawing blocks. Then you can select one of them for inserting in the drawing.

SEE ALSO:Preview -Directories-

                             Preview -Files-

                                 Commands for handling blocks


 Block  - Define -

 Makes a block object from a group of selected objects picking an insert point.

SITUATION:

            Edit Menu. Preview Submenu

            TECNOWINII TOOLBOX.

PARAMETERS:

Selection of objects.

Insertion Point.

Dialog Frame :

  * Block Name.

  * Possibility for erasing the source objects to define the block (the default value is YES because the mark is ON in the Dialog Frame).

COMMENT:

 Makes a block from a group of selected objects (source objects) and picking an insert point.

 The objects can be anyone, including other complex objects like polylines / blocks. The application allows multiple referred blocks, I mean, a block can contain other block and this can contain other one and so on. Anyway, a high indexation factor is not recommendable (it can slow the program running in some operations).

  You must keep on mind when you define the block that the working (current) layer will be the block layer. The block layer is important to insert the block in drawings.

  The block layer will be the layer for the block when we insert it in a drawing. But if that layer does not exist in the drawing will be made for you. Finally, if you define the block into the default application layer (TW) then the block will be insert in the current layer of the drawing.

  In relation to colors, if you insert the block in a layer which color is different to the color of the block objects, then the color for block objects will not change. To change the color of the inserted block you must pick the CHANGE COLOR (= BY LAYER option) command.

  You also must keep on mind that when you DEFINE a block in a drawing, it remains in that drawing, but IT WILL NOT BE WRITTEN to disk until you pick the BLOCK -WRITE- command. If you forget this command then you can use the block into the drawing but you will not can use it in other drawings. Please see the BLOCK -WRITE- command.

SEE ALSO: Block -Write-

                              Commands for handling blocks


  Block  -Write-

 Writes a block previously defined.

SITUATION:

            Edit Menu. Preview Submenu

            TECNOWINII TOOLBOX.

PARAMETERS:

Dialog Frame (LIST-BOX) for selecting the block to write.

Files Dialog Frame , for indicating place and name for the file. The file name is the block name by default.

COMMENT:

   Writes a block previously defined in a drawing so that we can call it into another drawing to insert like block.

SEE ALSO: Block -Define-

                               Commands for handling blocks

                               Insert


 Block -List-

Lists the existing blocks in a drawing through a Dialog Frame.

SITUATION:

  Menus: Edit Menu.

PARAMETERS:

Dialog Frame (List-Box).

COMMENT:

  It is an informative command. It is not very useful because we have another command with the same finality but larger power / options : The PREVIEW -BLOCKS- command.

SEE ALSO: Blocks -Preview-

                              Insert


 Block  -Read-

 Reads a drawing file like block incorporating it into the blocks-list of the drawing.

SITUATION:

   Menús: Edit Menu.

PARAMETERS:

Dialog Frame for opening files.

COMMENT:

  Reads a file like block. This block will can be inserted later in the drawing with the BLOCK -INSERT- command. It is very useful to read (without inserting) dim files (files that contain the dim information for making dims). Then we can preview later and/or select through the DIM PARAMETERS Dialog Frame.

SEE ALSO: Preview -Files-

                              Insert


 Convert

Converts a LINE / ARC object to a POLYLINE.

  SITUATION:

            Edition Menu. Edit Polyline Submenu.

  PARAMETERS:

   SINGLE SELECTION of the object to convert.

   COMMENT:

   Converts a LINE / ARC object in a POLYLINE object. Then that polyline can be handling through other edit process for adding objects (lines / arcs) or for closing it.

SEE ALSO: Polyline

                             Add Objects

                             Close Polyline

                             Explode


 Add Objects

 Allows add objects (lines, arcs) to a POLYLINE objects.

  SITUATION:

       Edit Menu. Edit Polyline Submenu.

  PARAMETERS:

  SINGLE SELECTION of the polyline to add objects.

  SELECTION of the objects to add.

   COMMENT:

   Adds objects (lines, arcs) to a polyline object. In the case you want also add other polyline you must explode it previously.

   The objects selection to add must be in the same order than the addition process. I mean, you can not select firstly the last object to add then the first. The objects must be connected, so that they must have a common point with the previous selected object.

SEE ALSO:Polyline

                            Convert

                            Close Polyline

                            Explode


 Close Polyline

Closes a POLYLINE object, I mean, make the first and last point the same point.

  SITUATION:

        Edit Menu. Edit Polyline Submenu.

  PARAMETERS:

  SINGLE SELECTION of the polyline to close.

   COMMENT:

  Converts an open polyline (a polyline which start / end points are not the same), in a closed polyline (the start / end points are the same).

   The closed polylines can be useful in same cases. For example:

     * For offsetting a polyline that define a polygon.

     * For calculating a enclosure area. The enclosure boundary can be defined by a closed polyline.

SEE ALSO:

 Polyline

 Polyline -Convert-

 Polyline -Add Objects-

 Explode


 Change  -Layer-

Allows to change the layer for the drawing objects after they were created.

  SITUATION:

            Edit Menu.Change Submenu.

            TECNOWINI  TOOLBOX.

  PARAMETERS:

   Objects SELECTION.

   Dialog Frame:

    A list (list-box) appears with all the drawing layers to select the new layer for the selected objects.

   COMMENT:

   Allows to change the objects layer after they were made. When we make a new object, then it belongs to the current layer. (Please see also BLOCK -DEFINE-, BLOCK -INSERT-, EXPLODE commands for layer discussion in relation to blocks).

   The CHANGE -LAYER- command allows to change the object layer after it was created.

 IMPORTANT: If you change a object to a OFF layer (Please see LAYERS -ON/OFF- command) the object disappears of screen, but it is not erased: The object belongs to a hide layer. Then we can not see it.

SEE ALSO: Layers Command

                              Change -Color-


 Change  -Color-

Allows change the color for the drawing objects after they were created.

  SITUATION:

            Edit Menu.Change Submenu.

            TECNOWINI  TOOLBOX.

  PARAMETERS:

   Objects SELECTION.

    Dialog Frame  with two options (buttons):

     * Objects Color = Color by layer: Make the color for selected objects equal to the color of their layer.

     * Objects Color  = Selected Color: Activate the Colors Dialog Frame . Then you can select the color you wish.

   COMMENT:

 Allows change the color for the drawing objects after they were created.

You can make this change in two ways: a) So that the objects color is the same than their layer color (we call this Color By Layer). b) Give them a color through a dialog frame. This color can be any color. It is not necessary it is the same than the layer color.

SEE ALSO: Color -by Default-

                              Layers -Color-


Change -Line Type-
 Change Line Type

Allows change the line type for the drawing objects after they were created.

  SITUATION:

            Edit Menu.Change Submenu.

            TECNOWINI  TOOLBOX.

  PARAMETERS:

   Objects SELECTION.

    Dialog Frame  with the line type supported. Select your line type.

 COMMENT:

 When a new object in the drawing is created it will have the CONTINUOUS Line Type (default value).

  The Change -Line Type- command allows change the line type for the drawing objects after they were created. You can select between CONTINUOUS / CENTER / DASHED / DASHDOT line types.

   This command only will work with the following objects type: LINES, POLYLINES, CIRCLES and ARCS.

SEE ALSO:


 Change Text -Height-

Allows change the text height for the text objects after they were created.

  SITUATION:

            Edit Menu.Change Submenu.Text Submenu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

   Objects SELECTION. Only text objects will be considerated.

    Dialog Frame  for entering the new text height.

    COMMENT:

  Changes the texts height for the selected texts. The remainder properties (font, text, point and insert mode) are not changed.

   All the selected text will have the same height.

SEE ALSO: Commands for Drawing Texts

                              Change Texts -Font-

                              Change Text


 Change Text -Font-

Allows change the text font for the text objects after they were created.

  SITUATION:

            Edit Menu.Change Submenu.Text Submenu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

   Objects SELECTION. Only text objects will be considerated.

    Fonts Dialog Frame: Shows the current drawing font (the last selected when creating text or the default drawing font). Allows select another font for the selected texts. Remember: When we change a font we also change the text height into the Dialog Frame.

    COMMENT:

   Changes the drawing font for the selected texts. The color font not matter because the text will have the same color than the layer belongs to. If you want to change the text color then you must pick the CHANGE COLOR command.

   As you change the text height when you select a new font in the Dialog Frame, then all the selected texts will have the same FONT and HEIGHT. For selecting different texts height for each object you must pick the CHANGE TEXTS -HEIGHT- command.

SEE ALSO: Commands for Drawing Texts

                              Change Texts -Height-

                              Change Texts -Text-


Change Text -Text-
 Change Texts -Text-

Allows change the text description for the text objects after they were created.

 SITUATION:

            Edit Menu.Change Submenu.Text Submenu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

  SINGLE SELECTION of object. Only text objects will be considerated.

  Dialog Frame for entering the new text.

  When you change a text the application asks for a new text for changing. When you wish not change anyone more press ENTER or pick the CANCEL command.

   COMMENT:

  Changes the text of the selected text object. The remainder properties (font, text, point and insert mode) are not changed.

SEE ALSO: Commands for Drawing Texts

                              Change Texts -Font-

                              Change Texts -Height-


 Move Dim Texts

 Moves the text of the selected dim object.

SITUATION:

            Edit Menu.Change Submenu.Dim Submenu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

  SINGLE SELECTION of objects. Only dim (linear) objects will be considerated.

  As in MOVE command the application ask for a Start Point for Movement and a End Point for Movement. They are the reference points for moving the object from a point to another point.

 When you change a dim object the application ask for a new dim for changing. When you wish not change anyone more press ENTER or pick the CANCEL command.

   COMMENT:

  Changes the dim text position. The remainder dim properties (font, text) are not changed.

  This command avoids to explode the dim object for moving the dim text after.

   The new dim position can be anyone.

SEE ALSO: Dim Commands

                              Dim Parameters

                              Update Dims

                              Explode


 Update Dims

Updates the selected dim texts in relation to their font (including height).

 SITUATION:

            Edit Menu.Change Submenu.Dim Submenu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

 SELECTION of objects. Only dim (linear) objects will be considerated.

   COMMENT:

  Updates the font (including height) of the objects to take the default dim font. This font is the current font in the DIM PARAMETERS command.

SEE ALSO: Dim Parameters

                              Move Dim Texts

                              Dim Commands


 Purge -Blocks-

 Erases one or more block objects of the block-list of the drawing.

  SITUATION:

            Edit Menu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

  Dialog Frame: You can select one (or more) blocks for erasing them of the block-list.

   COMMENT:

   Erases one or more block objects of the block-list of the drawing through a Dialog Frame.

    If any selected block is inserted into drawing they will not be erased although no message appears. I mean, you can only purge blocks that not appear in drawing.

   The purge process is useful to decrease the drawing size.

SEE ALSO: Commands for handling Blocks

                              Purge -Layers-


 Purge -Layers-

Erases one or more layers objects of the block-list of the drawing.

  SITUATION:

            Edit Menu.

            TECNOWINII  TOOLBOX.

  PARAMETERS:

  Dialog Frame: You can select one (or more) layers for erasing them of the block-list.

  COMMENT:

   Erases one or more block objects of the block-list of the drawing through a Dialog Frame.

   If the layers contain objects a message appears announcing that if you purge the layer then their objects will be erased too. If the layer is empty not message appears. If the layer to purge is the current layer then a message disallowing to purge the layer appears.

SEE ALSO: Layers Commands

                              Purge -Blocks-


 WMFCopy

Copies the selected drawing area to the Clipboard in Windows MetaFile format for be pasted into another WINDOWS application.

SITUATION:

   Edit Menu.Interchange Submenu.

PARAMETERS:

   First point: Lower left corner of the drawing area to export.

   Second point: Upper right corner of the drawing area to export.

   Dialog Frame asking for the paper size (in mm.) with regard to the X,Y edges.

   Dialog Frame asking for the drawing Scale.

COMMENT:

   Allows export the drawing information in WINDOWS METAFILE format to another WINDOWS. The Windows MetaFile format is very practical because it allows enlarge / short the graphic image into another applications like WINWORD.

SEE ALSO:  WMF Write


WMFWrite
 GrabarWMF

Copies the drawing area to a Windows MetaFile file with the  .WMF extension.

SITUATION:

   Edit Menu.Interchange Submenu.

PARAMETERS:

   Dialog Frame asking for the paper size (in mm.) with regard to the X,Y edges.

   Dialog Frame asking for the drawing Scale.

   Dialog Frame to write the file. Give it a name.

COMMENT:

   Allows export the drawing information in screen to a WINDOWS METAFILE file (.WMF extension).

SEE ALSO: WMFCopy

                              Printer Preview

                              Printing


 OBJCopy

Copies objects of the current drawing to Clipboard.

SITUATION:

   Edit Menu.Interchange Submenu.

PARAMETERS:

 Selection of objects.

COMMENT:

  Copies the selected objects to Clipboard so that they can be pasted into another document (drawing) . It is a handy mode of passing information between drawings in TECNOWIN.

  The insert point for the copied objects will be the (0,0) point.

SEE ALSO:  OBJPaste


 OBJPaste

Pastes the objects that are into Clipboard, coming from a OBJCopy command of another document.

SITUATION:

   Edit Menu.Interchange Submenu.

PARAMETERS:

 None.

COMMENT:

 Pastes the objects from Clipboard. There will be objects in Clipboard if another drawing copied them to Clipboard.

SEE ALSO:  OBJCopy


 Zoom -Window-

Makes a  ZOOM of the screen rectangle picked by the user.

  SITUATION:

            Zooms Menu.

            UP TOOLBOX.

  PARAMETERS:

* Point to define the first corner (only by mouse).

* Point to define the second corner (only by mouse).

  COMMENT:

    Adapts the display scale to show the zone picked by the user. The corners to define the Zoom can be picked in any order (lower left-upper right , upper left-lower right ...)

  This is a TRANSPARENT command, I mean, it can be called even from another command. After the Zoom command execution the other command will show in the lower left panel the pending task For example we can pick a LINE command, and then when the application ask for the first  point pick a ZOOM WINDOW for seeing in the best way a screen zone. When the zone is displayed the application ask for pending data again (the first point in this case, then the second point).

SEE ALSO: Zoom -Previous-

                              Zoom -Scale-

                              Zoom -Extents-


 Zoom -Previous-

Returns to the previous ZOOM.

SITUATION:

            Zooms Menu.

            UP TOOLBOX.

  PARAMETERS:

              None.

  COMMENT:

 Makes a previous ZOOM referred to the current one. It can be very useful working together with the ZOOM WINDOW command: You make a ZOOM-WINDOW of a screen zone. Then you can return to the previous zone with the ZOOM-PREVIOUS command.

 As all ZOOM commands this is a TRANSPARENT command, I mean, it can be called when we are into another command. When the Zoom command has finished then the other command will show in the lower left panel the pending task.

SEE ALSO: Zoom -Window-

                              Zoom -Scale-

                              Zoom -Extents-


 Zoom -Scale-

Makes a ZOOM with regard to the current zoom in screen multiplied by a scale factor.

SITUATION:

 Zooms Menu.

 UP TOOLBOX.

PARAMETERS:

  Dialog Frame for entering by keyboard the Scale factor.

COMMENT:

  Makes a Zoom in relation to the current zoom in screen multiplied by a Scale Factor. The Scale Factor can be larger than one (Zoom for go away) or lesser than one (Zoom to bring near).

  This Zoom command is useful for enlarging the working area (with a scale factor larger than one).

  As all Zooms commands this is a TRANSPARENT command.

SEE ALSO: Zoom -Window-

                              Zoom -Previous-

                              Zoom -Extents-


 Zoom -Extents-

 Makes a ZOOM which extents to the drawing limits (adding the margins if there was), ( See MARGINS command, Status Menu).

SITUATION:

 Zooms Menu.

 UP TOOLBOX.

PARAMETERS:

   None.

COMMENT:

  Makes a Zoom extended to the current drawing limits. It considers the lateral margins if defined previously through a MARGINS command. As all Zooms commands is a TRANSPARENT command.

SEE ALSO: Zoom -Window-

                              Zoom -Previous-

                              Zoom -Scale-


 Limits

 Shows in screen the current drawing limits.

SITUATION:

     Status Menu.

PARAMETERS:

   None.

COMMENT:

  Shows in screen the current drawing limits (lower left corner, upper right corner) with absolute coordinates in relation to the X, Y edges. You can modify the limits but it not matter because the application will calculate the new limits when you pick the ZOOM -EXTENTS- command.

   This is an informative command.

SEE ALSO:  Zoom -Extents-

                                   Margins


 Units

 Allows change the digit number (linear / angular) that TECNOWIN will show in all its information and numeric data in screen.

SITUATION:

    Status Menu.

PARAMETERS:

  Dialog Frame: It consists in two combobox for entering the digit number in either linear units and angular units.

COMMENT:

  The new values for digit numbers will be written in the document (drawing) so they will return in another working session with that document.

SEE ALSO:  Snap


 Margins

Allows give a lateral margins to the drawing so the full drawing area can be larger for handling zooms in a better way.

SITUATION:

     Status Menu.

PARAMETERS:

   Dialog Frame for entering the margins value (in meters) for the X edge and the Y edge.

COMMENT:

  The default values for margins in the document are 0, so that you make a ZOOM -EXTENTS- there are not margins at the screen edges. It does not allow to make some operations (like ZOOM -WINDOW-, PREVIEWS, PRINTING commands) comfortably.

  The user can modify these values giving them new values. They will be stored in the document.   So you will can use them in another drawing session.

SEE ALSO:  Limits

                              Zoom -Extents-


 Snap

Activates the Snap (jump) in the value (in meters) entered by the user.

SITUATION:

   Status Menu.

   UP TOOLBOX.

PARAMETERS:

   Dialog Frame for entering the snap value in meters. If you wish deactivate the snap you must enter 0.

COMMENT:

  The Snap command allows the mouse moving in jumps (snap multiples). It can be useful when the objects to draw are in correspondence with this value (for example, lines which accuracy  is 0.05 meters) because picking the points in screen will be easier. However it can be not comfortable in other cases (for example Zooms very close).

  The Snap value is stored in the document for later drawing sessions.

SEE ALSO:  Ortho


 Dim Parameters

Changes the dim properties to draw.

SITUATION:

   Status Menu.

   TECNOWIN-II  TOOLBOX.

PARAMETERS:

 Dialog Frame:

  * Basic Parameters of dims that can change in length (from 1 to 6)

  * Button for Fonts Dialog Frame for changing the default dim font.

  * Text Height (in cm. ), if we do not change the text font.

  *  Optional button to assign dim blocks to left hand/right hand: A list with the avoiding dim blocks appears. You can make a Preview if a dim block either pressing the Preview button or making double-click in the selected block. For accepting a dim block press OK.

COMMENT:

 The Dim parameters allows the user to customise his own way of dim. On one hand the user can select his own text font / height por dim texts. On the other hand TECNOWIN use default DIM BASIC PARAMETERS. These Parameters are in the Dialog Frame. The user choose one of these chances:

  a) Change some / all dim basic parameters (lengths in meters).

  b) Choose another way for dim. Then he must choose a dim block for the point to the left hand of the dim and other for the point to the right hand of the dim.

    These dim blocks are created like anyone. But you must keep on mind (IMPORTANT) that the insert point for the block must be the start point of the dim (left) and the end point of the dim (right) . The block name must have the TW_AC prefix and one to three characters (for example TW_AC1, TW_ACFCH, TW_ACFI are right names) . You can create a little library for dim blocks to the left / right hand. The library can be only two blocks (left and right) if you dim in the same way ever. Remember WRITE your blocks for using in another drawings (like anyone).

    We are talking about right / left blocks but if they are SYMMETRIC we can have only one block and select it as Left Block. Then TECNOWIN assigns as "Right Block" a symmetric block of the Left Block.

    To see the dim blocks in the block-list in the Dialog Frame we must READ the blocks previously from disk (BLOCK -READ- or PREVIEW -BLOCKS- commands). In this way the blocks are built-in to the block-list of the document. TECNOWIN will put the blocks with TW_AC prefix in the Dialog Frame of the DIM PARAMETERS command.

SEE ALSO:  Dim Commands

                               Update Dims


 Color -By Default-

Changes the default color to draw the new objects.

SITUATION:

   Status Menu.

PARAMETERS:

  Dialog Frame  with two options (buttons):

* Color Button=Color by Layer. In this way the color of new objects it is the same than the color  of their layer.

* Change Color Button: Activate the Color Dialog Frame, for choosing the color.

COMMENT:

 Allows change the working color. If you choose the Change Color Button all the new objects will have this color, independently its layer color. To return to normal mode (Color = Color By Layer) you must pick this button.

SEE ALSO:  Layer Commands

                               Change -Layer-

                               Change -Color-


 New Layer

Makes a new layer. You can activate it as the current (working) layer.

SITUATION:

   Status Menu. Layers Submenu.

PARAMETERS:

  Dialog Frame:

    * Layer Name.

    * Mark (on by default). If activates the new layer. That layer will be from that moment the current working layer, so that all new objects will belong to that layer.

    * Button to activate the Color Dialog Frame to choose the layer color.

COMMENT:

 Makes a new layer with the name typing by the user in the Dialog Frame and with the selected color.  This layer will be the current working layer if we do not activate the mark in the Dialog Frame. The new layer will be ever ON..

  The layer name can have lower case / capital letters. A layer with capital letters will not be the same that a layer with lower case. Please be careful with that.

SEE ALSO: Layer Commands


 Current Layer

Allows select a layer like the current working layer.

SITUATION:

   Status Menu. Layers Submenu.

   UP TOOLBOX.

PARAMETERS:

 Dialog Frame:

    * List to select he current layer.

    * Button to activate the Color Dialog Frame, for choosing the layer color.

COMMENT:

 We call CURRENT LAYER the working layer, I mean, the objects are drawn in this layer. The name of the current layer is in the lower right panel and its color in a button (COLOR LAYERS) in the UP TOOLBOX.

 If the current layer is OFF a message appears notifying all new objects will not be drawn (although they are really created).

SEE ALSO:Layer Commands

                            Change -Layer-


 Layers ON-OFF

Activates (ON) or Deactivates (OFF) a layer / group of layers.

SITUATION:

   Status Menu. Layers Submenu.

   UP TOOLBOX.

PARAMETERS:

  Dialog Frame:

    * List 1 with the ON Layers.

    * List 2 with the OFF Layers.

   If you want pass layers in ON mode to OFF mode they must be selected in the List 1. Then press the ON->OFF button for passing from List 1(ON) to List 2(OFF).

   If you want pass layers in OFF mode to ON mode they must be selected in the List 2. Then press the OFF->ON button for passing from List 2(OFF) to List 1(ON).

COMMENT:

  We call ON Layers the Layers that are visible in screen and OFF Layers the Layers that are hidden in screen so that their objects are not drawn in screen.

   Playing with Layers (ON->OFF OFF->ON) is very important for a CAD application because it allows the following things:

   1) Handling in screen only the layers that we need because showing all the layers can be awkward in complex drawings. It is more practical to show only the layers we need for working along a time.

   2)  When printing a drawing we may do different printings showing different layers combinations. For example in Architectural: We would want to show the walls, doors and windows in a draft. We would activate (ON) the WALLS, DOORS and WINDOWS Layers and we would deactivate (OFF) the rest of the layers.

   If we want to put OFF the current working layer a message appears notifying all new objects will not be drawn (although they are really created).

SEE ALSO: Layers Command

                              Change Layer


Layers COLOR
 Layers -COLOR-

Changes the color for a layer / group of layers.

SITUATION:

   Status Menu. Layers Submenu.

   UP TOOLBOX.

PARAMETERS:

 Dialog Frame:

    * List with the layers. Select all the layers that we are going to apply a same color.

    * Button for activating the Color Dialog Frame.

COMMENT:

  Allows change the color for a layer / group of layers at the same time. The color will be specified in the Color Dialog Frame.

SEE ALSO: Layers Command

                              Change -Layer-

                              Change -Color-


 Preview Directories Format

Allows change the way of showing the drawing files in the Preview -Directories- Dialog Frame.

 SITUATION:

   Status Menu.

 PARAMETERS:

    Dialog Frame, with 4 options (formats):

   Preview for 11 files maximum (default frame).

   Preview for 16 files maximum.

   Preview for 20 files maximum.

   Preview for 30 files maximum . We also call this frame Extralarge because it needs a minimal resolution of  800 x 600 points.

  COMMENT:

Changes the presentation format of the Preview for a Directory / Library. The default format is 11 files. It can be changed through a Dialog Frame to 30 files maximum.

SEE ALSO: Preview  -Directories-


 Display Help

 Toggle (activate / deactivate) the  "quicktips" when you put the mouse on a TOOLBOX button.

 SITUATION:

  Status Menu.

 PARAMETERS:

  None. It is a state command. Toggles it ON / OFF.

  COMMENT:

   The Display Help allows no expert users get quick help. But when they become to experts users this help perhaps will not be interesting.

   The default value for this button is OFF (deactivated). You can toggle ON/OFF.

   Remember that you ever have got text help in the lower panel. You have got also context help pressing the F1 key when putting on a menu command.

SEE ALSO:


 Display Preview at Insert

Toggles (activates / deactivates) the  Dialog Frame when inserting blocks with Preview.

 SITUATION:

  Status Menu.

 PARAMETERS:

None. It is an state command.

COMMENT:

  When you insert a block a Dialog Frame appears (by default) with a window for viewing a preview of the selected block before inserting it. This command allows deactivate this option so that the window for preview mode not appears.

SEE ALSO: Insert


 Display Raster Hatch

Toggles (activates / deactivates) the  schematic / full display for Raster hatches.

 SITUATION:

  Status Menu.

 PARAMETERS:

None. It is a state command.

COMMENT:

   The full drawing of raster hatches can become an additional time to display in screen. We can make a schematic mode to view them. The default mode is deactivated, I mean, viewing the full hatch. If activated a schematic representation appears: a little circle hatched with the raster hatch.

SEE ALSO: Raster Hatch

                              Display Bitmaps


 Display Bitmaps

Toggles (activates / deactivates) the  schematic / full display for Bitmaps.

 SITUATION:

  Status Menu.

 PARAMETERS:

None. It is a state command.

COMMENT:

 The bitmaps, above all if have got high resolution, can waste much time for displaying. We can make a schematic mode to view them. The default mode is deactivated, I mean, viewing the full Bitmap. If activated a schematic representation appears: a rectangle around the Bitmap boundaries with a text with the Bitmap file name into it.

SEE ALSO:  Bitmap

                               Display Raster Hatch


 About

 Shows data basic of the application: author, version, date and Copyright.

 SITUATION:

    Status Menu.

 PARAMETERS:

  Informative drawing.

  COMMENT:

SEE ALSO:


 Cancel

Cancels the current command.

 SITUATION:

   Status Menu.

   TECNOWINI  TOOLBOX.

 PARAMETERS:

  None.

   COMMENT:

  Cancels the current command (if it is not finished). After pick this command you can pick another one.

SEE ALSO:


 Redraw

Redraws all the view / views of the drawing.

 SITUATION:

   Status Menu.

   TECNOWINI  TOOLBOX.

 PARAMETERS:

  None.

  COMMENT:

  Redraws all the views of the current document (drawing) erasing marks or help lines.

SEE ALSO:


 Undo

Undo last working step (usually a command).

SITUATION:

   Status Menu.

   TECNOWINI  TOOLBOX.

 PARAMETERS:

  None.

  COMMENT:

  Comes back a step, returning to the state of the drawing previous to the last command. There are a step limit for undo of  35. If you can come forward again pick the UNDO command.

  The UNDO command works for all the commands except the commands in the following list:

         * All ZOOMS.

         * NEW LAYER, CURRENT LAYER, LAYERS ON/OFF. CAPA NUEVA, LAYERS COLOR.

         * PURGE LAYER and PURGE BLOCK.

         * DIM PARAMETERS.

         * BLOCK -DEFINE-.

         * BLOCK -WRITE-.

  You must add all informative commands (commands in relation with the drawing status), like DISTANCE, ANGLE,LIST, IDENTIFY, AREA, ORTHO, SNAP.

SEE ALSO: Redo


 Redo

Redo the effect of the previous undo command.

 SITUATION:

  Status Menu.

   TECNOWINI  TOOLBOX.

 PARAMETERS:

  None.

COMMENT:

  Comes forward a working step returning to the drawing state before applying the last undo command.

  There is only ONE step forward. So if you press this command again TECNOWIN asserts "Can not redo".

 The REDO command works for all the commands except some commands. See the list in the UNDO command.

SEE ALSO: Undo


 List

Lists the object properties according to the object type.

SITUATION:

  Status Menu.

   TECNOWINI  TOOLBOX.

 PARAMETERS:

  SINGLE SELECTION of a object.

  None.

COMMENT:

 Shows (Lists) the properties / characteristics of the object like type (line, circle, polyline,..), layer, color, point coordinates.

SEE ALSO: Identify


 Identify

Identifies (shows) the coordinates for a point.

SITUATION:

   Status Menu.

   TECNOWINI  TOOLBOX.

 PARAMETERS:

  Pick point. Informative Window.

     COMMENT:

  Identifies the coordinates of a point picking with the mouse. These coordinates are showed in a informative window. You can apply the approx modes to the picked point (INTERSECTION, ENDPOINT, etc.)

SEE ALSO:  List


 Distance

 Shows the distance (in meters) between two points.

SITUATION:

   Status Menu.

   TECNOWINII  TOOLBOX.

 PARAMETERS:

 First point.

 Second point.

 COMMENT:

   No confuse with the REFERENCE DISTANCE command (it is different at all).

   Shows an informative window with the distance between two points picked by the user. You can apply APPROX commands to the points.

SEE ALSO:  AREA Commands

                              List


 Area -by Points-

Calculates the area of a closed polygon defined by a group of points.

SITUATION:

   Status Menu.Area SubMenu.

   TECNOWINII  TOOLBOX.

 PARAMETERS:

  Pick all the points to define the polygon. We can use all approx modes (INTERSECTION, ENDPOINT, etc.). Can be useful fit the reference (approx) mode (for example INTERSECTION) . When you finished entering all points press ENTER (right button of the mouse) to finish the command.

SEE ALSO:  Area -Polyline-

                               List


 Area -Polyline-

Calculates the polyline area.

SITUATION:

   Status Menu.Area SubMenu.

   TECNOWINII  TOOLBOX.

 PARAMETERS:

SINGLE SELECTION of the polilyne.

COMMENT:

 Calculates the area of the selected polyline. The calculation assumes that the polyline is closed although it can be open. This command is EQUAL than pick the LIST (POLYLINE) command because give us the same information.

SEE ALSO: Area -by Points-

                              List


 Cascade

 Shows all opened documents, each one in a window, in cascade mode.

     SITUATION:

       Windows Menu.

     PARAMETERS:

     None.

     COMMENT:

 It is the way (by default) that the application has got to show all opened documents. It is a practice method since allows pass to work from a document to another making click on its window header.

SEE ALSO: Tile


 Tile

Shows all opened documents, each one in a window, sharing the screen.

     SITUATION:

       Windows Menu.

     PARAMETERS:

     None.

     COMMENT:

 It is a way to show all opened documents that allows to view all at the same time.

SEE ALSO: Cascade


Aereal View
 Aerial View

 Activates an AERIAL VIEW. This is the view of the full drawing in a window.

     SITUATION:

       Windows Menu.

     PARAMETERS:

     None.

     COMMENT:

  The AERIAL VIEW looks like a ZOOM EXTENTS, but it is in a separate window and when you pick two points (corners) as you pick for the ZOOM -WINDOW- command you view the effect of a corresponding ZOOM -WINDOW- in the main window.

  If activated there is not effect if you pick the command again.

  You can finish with the Aerial View closing its window.

SEE ALSO:


 TECNOWIN-II

Activates the TECNOWINII TOOLBOX.

     SITUATION:

       Windows Menu.

     PARAMETERS:

     Submenu showing some chances for the shape of the TECNOWINII TOOLBOX (horizontal of 1 row, horizontal of 2 rows, vertical of 1 column, rectangular, etc.)

     COMMENT:

 The TECNOWINII TOOLBOX has got some buttons. Each button has got a functionality (command). It contains the larger commands that not appear in the TECNOWINI TOOLBOX.

  There are some possibilities (shapes) for the TECNOWINI TOOLBOX. You can choose anyone. But keep on mind that the vertical TECNOWINI TOOLBOX needs a minimal resolution of  800 x 600 points for you can view it fully in screen. We also recommend this resolution for the horizontal TECNOWINI TOOLBOX.

SEE ALSO:


 SELECTION

 Allows the selection of a group of objects to make a operation from another command.

  SITUATION:

 This command is the only one that is not straight away accessible by user and so not is in anywhere.

  PARAMETERS:

 Cursor in shape of circular sight to put it on a object to select. Then, the selected object is drawn with the Line Type DASHDOT mode (or with a different color for texts). If you pick again on the same object will be DESELECTED and will be drawn with its normal appearance. This is the default selection method. We call it SINGLE SELECTION. But there are other two selection methods: WINDOW and CAPTURE.

  If we put on a point that not belongs to any object, we will see that if we move with the mouse to right / upper a elastic rectangle is open (it looks like the rectangle for a ZOOM -WINDOW- command). If we pick a second point the objects FULLY contained into the rectangle will be SELECTED (DASHDOT mode). This is the WINDOW SELECTION.

  If we do the same operation but moving with the cursor LOWER/LEFT and we pick a second point the objects that belongs (fully or partially) to the rectangle will be SELECTED. It is the CAPTURE SELECTION.

  In anyway, if we come back to select a object/group of objects previously selected by any method the objects will be DESELECTED.

SEE ALSO:Filters


 Filters

 Restricts the group of previously selected objects to that fulfill some defined conditions.

     SITUATION:

       Approx Menu.

     PARAMETERS:

      Dialog Frame for choosing the conditions that the objects must have: Layer,Color, Type. If you press the Apply to all objects button the conditions will be applied to all drawing objects independently those we have previously selected.

     You may pick this command during the SELECTION process (in any moment), but NEVER BEFORE or AFTER.

     The Filtering Dialog Frame appears AFTER we finished the SELECTION process.

     COMMENT:

    Sometimes we want to apply a command only to those objects that fulfill some conditions (for example, belong to a layer). Without the Filters command we could need a long time for selecting objects. But with the Filters command we filter the previously selected objects through a Dialog Frame. We can filter objects by Layer / Color / Type (any combination of them). For example: Block Objects that belong to the KITCHEN layer with blue color.

    If we choose only a chance (for example, layer filtering) then will not operate any condition more over the objects.

SEE ALSO:SELECTION


 OLE 2.0

Activates the OLE 2.0 Menu to insert and handling OLE objects in drawing.

     SITUATION:

       Edit Menu. Interchange SubMenu.

     PARAMETERS:

     Submenu  containing the classic chances for a OLE 2.0 container.

     COMMET:

  TECNOWIN supports OLE 2.0 as container / server. The OLE 2.0 Submenu in the Interchange Submenu of the Edit Menu activate the TECNOWIN features as container:

          a) Inserting OLE compatible objects (Dialog Frame to insert OLE objects).

          b)  Erasing the activated OLE objects.

          c) Copying / Pasting OLE objects to / from Clipboard.

  The inserted OLE object can be edited activating the server application for that object. You make this double picking on the object. You also can accede to a options menu picking the right button of your mouse.

  When you activate the OLE object (picking on it) a new option menu for that object is generated in the Edit Menu.

SEE ALSO:OLE 2.0 Reference Manual.


 Exit

  Exits application, allowing write those modified documents.

     SITUATION:

       File Menu.

     PARAMETERS:

     COMMENT:

 You also can exit closing the application window. It has the same effect.

SEE ALSO: Save

 Save As


 Change -Line Thick-

Allows change the physic thick of the lines with a defined color.

     SITUATION:

       Edit Menu. Change Submenu.

     PARAMETERS:

   Color Dialog Frame to select the color of the lines which thick you want to change. Thick Dialog Frame for choosing the new thick (in physical points).

   COMMENT:

 The majority of printers / plotters allow assign line thickness TO COLORS. But there are some printers (as laser printers) that have not this chance. This command is interesting in these cases because allows link colors with line thickness.

  You must not worry about the lines aspect in screen. The command is focus to printing.

SEE ALSO:


 BMPCopy

Copies the drawing area in Windows BitMaP format to Clipboard. It can be pasted later from another WINDOWS application.

SITUATION:

   Edit Menu. Interchange Submenu.

PARAMETERS:

    None.

COMMENT:

   Allows export the drawing information as WINDOWS BITMAP to other WINDOWS application through Clipboard. For example you can paste the Bitmap image in PaintBrush or WinWord.

SEE ALSO:


 New Window

 Makes a New Window containing other drawing view. The view will be the previous view by default.

SITUATION:

   Windows Menu.

PARAMETERS:

    None.

COMMENT:

SEE ALSO:  Cascade

  Tile


Contenidos
TECNOWIN

TECNOWIN-3D Help File.

© 1995 -1996 TECNOSOFT  / F. JAVIER CUESTA GUTIERREZ

•	3DFace

•	3D Parameters

•	3D Change

•	Working Plane

•	Surfaces

•	Perspective

•	Sections

•	3D Windows

•	TECNOWIN-3D -ToolBox-


TECNOWIN
TECNOWIN INFORMATION

 TECNOWIN v.3.10 - 3D Extension.

TECNOWIN is © 1995-1996 TECNOSOFT. All Rights Reserved.


P3D Parameters
3D Parameters

•	Z Coordinate

•	Fit Z Coordinate

•	Cancel Fit Z Coordinate

•	Elevation -by default-

•	Thick -by default-


C3D Change
3D Change

•	 Change -Elevation-

•	 Change -Thick-

•	 Change 3D Object


PWorking Plane
Working Plane

•	 Plane -Vertical Section-

•	 Plane -3 Points-

•	 World Reference System


SSurfaces
Surfaces

•	 Sphere

•	 SemiSphere

•	 Conic Surface

•	 Cylindric Surface

•	 Revolution Surface

•	 Edge Surface


PPerspective
Perspective

•	 Cameras -Show-

•	 Cameras -Position-

•	 Cameras -Reference Point-

•	 Cameras -Distance to Focal Plane-

•	 Light


V3D Windows
3D Windows

•	 3D Window -Make-

•	 3D Window -Activate-

•	 3D Window -Options-


V3D Window -Options-
3D Windows -Options-

•	 3D Window -Redraw-

•	 3D Window -Shading Options-

•	 3D Window -Camera-

•	 3D Window -Light-

•	 3D Window -Hide-

•	 3D Window -Shade-

•	 3D Window -Interchange-

•	 3D Window -Save-


V3D Window -Interchange-
3D Window -Interchange-

•	 3D Window -BMPCopy-

•	 3D Window -ObjCopy-


3DFace

 Makes a 3dface: A solid object which boundaries are marked by 3 / 4 vertex.

    SITUATION:

  Draw Menu.

    PARAMETERS:

   * Enter the 3 / 4 points to define the object by mouse / keyboard. If the 3dface has got 3  points then pick ENTER (right button of the mouse) when the application asks for the fourth point.

    COMMENT:

  3dfaces are solid objects (planes) bounding a triangle (3 vertex) or parallelogram( 4 vertex). They usually work like tops for our 3D drawing because they are solid objects (not wire objects like lines, circles, etc.). As solid objects they hide the lines located backward them referred to the point of view of the observer (camera).

   You can apply them any edit command (erase, move, copy, stretch, rotate, ...)

SEE ALSO:


Z Coordinate

 Allows enter the Z coordinate of the picked point.

    SITUATION:

  Approx Menu.

  UP TOOLBOX.

    PARAMETERS:

   * Dialog Frame for entering the Z Coordinate.

    COMMENT:

   The application assigns the default Elevation value as the Z value during the introduction of any point (keyboard / mouse). But if you want to enter a different Z value for a point you must pick the Z Coordinate command BEFORE you pick the point. In this way, when you pick the point the application opens a Dialog Frame asking for the Z Coordinate for that point (the default value is the Elevation by default of the drawing).

SEE ALSO: Elevation -by default-


Fit Z Coordinate

Fits the automatic Z mode to asking for the Z Coordinate when you pick any point.

    SITUATION:

  Approx Menu.

    PARAMETERS:

   * None.

    COMMENT:

 The application assigns the default Elevation value as the Z value during the introduction of any point (keyboard / mouse). But if you want to enter a different Z value for a point you must pick the Z Coordinate command BEFORE you pick the point. But if we ALWAYS want to enter a Z value for any point we would need pick the Z COORDINATE command for any point. We can avoid this fact picking the FIT Z COORDINATE. In this way, when you pick a point the application asks for its Z Coordinate always.

   When we do not need to enter ever the Z coordinate we must pick the CANCEL FIT Z COORDINATE command.

SEE ALSO:

Z Coordinate

  Cancel Fit Z Coordinate


Cancel Fit Z Coordinate

Cancels the continuous request to enter the Z Coordinate for any point.

    SITUATION:

    Approx Menu.

    PARAMETERS:

   * None.

    COMMENT:

 Cancels the Fit Z Coordinate previously picked. It will not take any effect if you are not in Fit mode.

SEE ALSO:

Z Coordinate

  Fit Z Coordinate


Elevation -by default-

 Assigns the default Elevation (Z Coordinate value) for all the entered points.

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Dialog Frame to enter the Z Coordinate as the new default Elevation value.

    COMMENT:

  The Elevation -by default- will be the Z value for any picked point. By default the application does not ask for the Z value when you pick a point. It assumes that the Z value is the default Elevation value.

   So if you want to enter a different Z value for a point you must pick the Z Coordinate command BEFORE you pick the point. In this way, when you pick the point the application opens a Dialog Frame asking for the Z Coordinate for that point (the default value is the Elevation by default of the drawing).

    The Elevation -by default- command allows to change the default elevation value through a Dialog Frame.

SEE ALSO: Thick -by default-


 Thick -by default-

Assigns the Thick (extrusion value along Z edge) that will have all new objects  (LINES, CIRCLES, ARCS and POLYLINES).

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Dialog Frame to enter the Thick value. The previous value appears.

    COMMENT:

  We can make an extrude operation over the following object types: LINES, CIRCLES, ARCS and POLYLINES. All the new objects (of these types) will have the default Thick of the drawing.

   The Thick -by default- command allows to change the default elevation value through a Dialog Frame.

     The Elevation / Thick of the objects can be modified in any time picking the Change -Elevation- / Change -Thickness- commands.

SEE ALSO: Elevation -by default-


 Change  -Elevation-

 Allows change the object Elevation (Z Coordinate) of the selected objects.

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    * SELECTION of objects.

  * Dialog Frame to enter the new Elevation (Z Coordinate).

    COMMENT:

   This command allows to change the Z Coordinate of any object previously selected. All the points of the selected objects will have the new Z Coordinate. If you wish that the Z Coordinate of the two points of a object line were different you must pick the more generic Change -Z Object- command.

SEE ALSO:

Change -Thick-

  Change -Z Object-


Change -Thick-
 Change Thick

Changes the Thick value of the selected objects.

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    * SELECTION of objects.

    * Dialog Frame to enter the new Elevation (Z Coordinate).

    COMMENT:

    This command allows to change the Thick of any object previously selected. All the points of the selected objects will have the new Thick value. If you wish that the Thick of the two points of a line object were different you must pick the more generic Change -Z Object- command.

SEE ALSO:

Change -Elevation-

  Change -Z Object-


Change Z Object
 Change   -Z Object-

 Allows change the Z Coordinates / Thick values of the selected objects.

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    * SINGLE SELECTION of objects.

   *  Dialog Frame to enter the Z / Thick values to the two sides.

    COMMENT:

   This command allows to change the Elevation / Thickness of any LINE / ARC objects.

SEE ALSO:

Change -Elevation-

  Change -Thick-


 Plane -by Vertical Section-

Changes the Working Plane to a plane defined by a Vertical Section (I mean, a plane perpendicular to the OXY plane).

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Point-origin of the plane.

   * Other point to define the section-plane.

   * Point from the origin to define the objects visibility referred to the front part of the plane.

   * Point from the origin to define the objects visibility referred to the back part of the plane.

    COMMENT:

    Sometimes can be more affordable to draw in a plane different of the World System Reference (OXY). With this command you can draw in any perpendicular plane to the OXY plane of the World System Reference. The plane is defined by two points (the intersection line with the OXY plane) because the third plane is parallel to the Z edge of the World System.

  The points that define the objects visibility when drawing in the new working plane are referred to those objects that have been drawn according to PARALLEL planes with relation to the working plane, because all the rest objects NEVER WILL BE DRAWN.

   You must keep on mind that all the new objects drawn in the new working plane will have as Z value the DEFAULT ELEVATION of the drawing and will have as Thick value the DEFAULT THICK of the drawing, but both of them REFERRED to the new Z edge of the Working Plane. In fact you can see this effect through a 3D View or when you pass again to the World System Reference.

    When you are in a Working Plane we recommend effect all drawing edit commands in this Plane (or one parallel), because their effects can be not as obvious as you are waiting for.

SEE ALSO:

Plane -3 Points-

  World System Reference


Plane -by 3 Points-
 Plane -3 Points-

Changes the Working Plane to another plane defined by any three points.

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Origin point of the plane.

   * Other two points to define the plane.

  * Dialog Frame to define the objects visibility previously drawn in parallel planes to this plane.

    COMMENT:

Sometimes can be more affordable to draw in a plane different of the World System Reference (OXY). With this command you can draw in any perpendicular plane to the OXY plane of the World System Reference. The plane is defined by two points (the intersection line with the OXY plane) because the third plane is parallel to the Z edge of the World System.

  The points that define the objects visibility when drawing in the new working plane are referred to those objects that have been drawn according to PARALLEL planes with relation to the working plane, because all the rest objects NEVER WILL BE DRAWN.

   You must keep on mind that all new objects drawn in the new working plane will have as Z value the DEFAULT ELEVATION of the drawing and will have as Thick value the DEFAULT THICK of the drawing, but both of them REFERRED to the new Z edge of the Working Plane. In fact you can see this effect through a 3D View or when you pass again to the World System Reference.

    When you are in a Working Plane we recommend effect all drawing edit commands in this Plane (or one parallel), because their effects can be not as obvious as you are waiting for.

SEE ALSO:

Plane - by Vertical Section-

  World System Reference


World Reference System
 World System Reference

Changes the Working Plane to the World System Reference.

    SITUATION:

   3D Menu. Working Planes Submenu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    None.

    COMMENT:

 When you draw for first time in the drawing you are in the World System Reference by default. But if you change to another Working Plane and you want to return to the World System Reference you must pick this command. If you are working in the World System Reference the command will not take any effect.

SEE ALSO:

Plane -Vertical Section-

  Plane -by 3 Points-


 Sphere

Makes a sphere.

    SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Sphere Radius.

       - Parallels number.

       - Meridians number.

   * Insert point for the new object.

    COMMENT:

   The Sphere will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

SEE ALSO:


 SemiSphere

Makes a SemiSphere.

    SITUATION:

3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Sphere Radius.

       - Parallels number.

       - Meridians number.

   * Insert point for the new object.

    COMMENT:

   The SemiSphere will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

.

SEE ALSO:


 Conic Surface

 Makes a Conic Surface.

    SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Radius of the lower basis.

       - Radius of the upper basis.

       - Turns number.

   * Insert point for the new object.

    COMMENT:

The Conic Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 If you make the radius of the upper basis equal to 0, then the Surface will become a CONE Surface.

  In anyway we could call it a Pyramidal Surface. When the turns number is high the surface becomes to a conic surface.

SEE ALSO:


 Cylindric Surface

Makes a Cylindric Surface.

SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Basis Radius.

       - Turns number.

   * Insert point for the new object.

    COMMENT:

The Cylindric Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 The Cylindric Surface it is generated with tops in the upper / lower basis for making it a solid object.

SEE ALSO:


 Revolution Surface

Makes a Revolution Surface.

SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

* SINGLE SELECTION of POLYLINE object. This polyline represents the surface section for a vertical plane.

 * SINGLE SELECTION of LINE object that represents the rotation edge.

* Dialog Frame to enter:

       - Parallels number.

       - Meridians number.

   * Insert point for the new object.

    COMMENT:

The Cylindric Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 The Revolution surface is defined for a curve (polyline in our case) turning around a rotation edge (a line in our case). You must keep on mind that the revolution surface is generated starting in the Initial Point if the Polyline (if you are on doubt please LIST the polyline object). The insert point of the new block object (the surface) will be in the intersection of the perpendicular drawn from the rotation edge. So that can be some cases we would want invert the polyline direction, I mean, we would like the initial point and end point of the polyline were. However we CAN NOT CHANGE THE POLYLINE DIRECTION then we must make the following trick: Draw the line-rotation edge in the opposite direction to the polyline direction.

   General rule: The Revolution Surface is generated starting in the initial point of the polyline if both of them (polyline / rotation edge) have the same direction and is generated starting from the endpoint of the polyline if they have opposite directions.

SEE ALSO:


 Edge Surface

 Makes an Edge Surface. That is a surface based in a circle moving along any path-curve (polyline).

SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

* SINGLE SELECTION of POLYLINE object. This polyline represents the path curve.

* Dialog Frame to enter:

       - Parallels number.

       - Circle Radius.

   * Insert point for the new object.

    COMMENT:

The Edge Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 A particular case of Edge Surface is a Torus Surface. This is a ring and the path-curve is a circle.

SEE ALSO:


 Cameras -Show-

 Shows the position of the six cameras (camera position+target position) that TECNOWIN-3D accepts.

    SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

 * None.

    COMMENT:

      Shows in schematic mode the position of the six possible cameras that the application admits.

SEE ALSO:

Cameras -Position-

  Cameras -Target-


 Cameras -Position-

 Allows change the position of a camera.

    SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

   PARAMETERS:

 * Dialog Frame to select a camera.

 *  Point to point out the camera position.

    COMMENT:

      Pick the point (keyboard / mouse) to define the camera coordinates. Remember: If you want (as usual) a Z Coordinate for the point then pick the Z Coordinate command before picking the point.

     If you already have a 3D Window opened containing the selected camera then you must redraw for showing changes.

SEE ALSO:

Cameras -Show-

  Cameras -Target-


 Cameras -Target-

Allows change the position of the camera target point.

    SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

   PARAMETERS:

 * Dialog Frame to select a camera.

 *  Point to point out the new target point position.

    COMMENT:

  Target point is the point the observer is looking to.

Pick the point (keyboard / mouse) to define the target coordinates. Remember: If you want (as usual) a Z Coordinate for the point then pick the Z Coordinate command before picking the point.

  If you already have a 3D Window opened containing the selected camera then you must redraw for showing changes.

SEE ALSO:

Cameras -Show-

  Cameras -Position-


Cameras -Phocal Plane Distance-
 Cameras -Focal Plane Distance-

 Allows change the position of the focal plane of a camera.

SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

  PARAMETERS:

* Dialog Frame to select a camera.

 *  Point to point out the new focal plane point position from camera position.

   COMMENT:

     According the Focal Plane position we see the perspective with lesser / higher distortion.  Focal Plane very closed to the Target point will do parallel lines very closed in the horizon (very planed objects). Focal Planes very closed to camera will do very distorted objects. The application has got a default value that make the same effect (or similar) than a observer placed at the camera point and looking to the target point. However you can ever change the Focal Plane distance with this command.

    If you already have a 3D Window opened containing the selected camera then you must redraw for showing changes.

SEE ALSO:

Cameras -Position-

  Cameras -Target-


 Light

 Allows change the position of a light.

SITUATION:

  3D Menu. Perspective Submenu. Light Submenu.

  TECNOWIN-3D TOOLBOX.

PARAMETERS:

 * Dialog Frame to select a light.

 *  Point to point out the new light position.

 *  Point to point out the new position of the target point from the light.

  COMMENT:

 The light position only will have effect for the Shading command (options Shading with Lights / Shading with Lights+Edges).

  The application have got six lights available.

 All 3D Windows take by default the L0 light although the six lights position is the same by default.

SEE ALSO:

3D Window -Light-


 Sections

Makes a Section by a Vertical Plane and show it in a Window.

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Origin point of the section-plane.

   *  Another point to define the Section.

   * Point from origin to define the objects visibility referred to the back side of the plane.

    COMMENT:

    Allows show in a separate Window the drawing Section by any Vertical Plane. The forward (referred to the section) objects NEVER WILL BE VISIBLE and the backward objects only are visible to the point picked by the user.

       The Section is a Dynamic View so that any change in drawing produce a change in the section-view.

SEE ALSO:

3D Windows


 3D Window   -Make-

Makes a window containing a 3D View of the drawing.

    SITUATION:

   Windows Menu.

    PARAMETERS:

    COMMENT:

     Allows to view the drawing Perspective. The default Camera is C0 and the default light L0. If you want to change camera / light you must pick the 3D Window -Cameras- / 3D Window -Light-.

   The 3D Window is a Dynamic View of the drawing so that any change in drawing produce a change in the 3D View. It contains a menu with their own commands. To activate the menu of a 3D Window YOU MUST PICK in any point into the Window.

SEE ALSO:

3D Window -Activate-


 3D Window -Activate-

Allows activate the Menu of a 3D Window.

    SITUATION:

    PARAMETERS:

    None. This command is activated picking any point into the Window.

    COMMENT:

 Allows activate the Menu of a 3D Window making it accessible.

SEE ALSO:

3D Window -Make-


 3D Window -Redraw-

Redraws the 3D Window contents.

    SITUATION:

    3D-Windows Menu.

    PARAMETERS:

    None.

    COMMENT:

    Redraws only the 3D Window contents but it not redraws any other Window.

SEE ALSO:


3D Window -Shading Options-
 3D Windows -Shading Options-

 Allows choose a Shading Mode for the 3D Window.

    SITUATION:

    3D Windows Menu.

    PARAMETERS:

    Dialog Frame with graphic options to select the Shading Mode.

    COMMENT:

       The Shading process allow presents a 3D Window with solid appearance. We can select a different Shading Mode for each 3D Window. The available shading modes are the following:

                 - Hide: The effect is equal to the Hide command effect but it takes the advantage of speed.

                 -  Solid: Make solid faces with the appropriate colour and edges between faces are drawn in black colour.

                  - Lights: Take into account the light effect.

                  - Lights+Edges: Similar to Lights Method but drawing the edges of the solid faces.

        The four methods take more or less the same time. The more realistic is the Lights option.

         You can copy the image in the 3D Window (3D Window -BMPCopy- command) for be pasted into another application.

SEE ALSO:

3D Window -Shading-


 3D Window -Camera-

 Allows choose a Camera for the 3D Window.

   SITUATION:

    3D Windows Menu.

    PARAMETERS:

    Dialog Frame to select the camera.

    COMMENT:

When a 3D Window is created has got the C0 Camera by default. This command allows change the Camera for the 3D Window.

 When you select a new camera then the 3D Window is redrawn.

SEE ALSO:

3D Window -Light-


 3D Window -Light-

Allows choose a Light for the 3D Window.

   SITUATION:

    3D Windows Menu.

    PARAMETERS:

    Dialog Frame to select the Light.

   COMMENT:

When a 3D Window is created has got the C0 Camera by default. This command allows change the Camera for the 3D Window.

 When you select a new camera then the 3D Window is redrawn.

SEE ALSO:

3D Window -Camera-


 3D Window -Hide-

Makes a hidding lines process.

SITUATION:

    3D Windows Menu.

 PARAMETERS:

    None.

COMMENT:

 When a 3D Window is created all the objects will be drawn following an wire model, I mean, it take not into account that we are playing with solid objects. The hidden process make a solid image, hidding those objects or part of them that are not visible for the observer. This process will be more or less slow according the drawing and your computer.

  The generated image can be copied to Clipboard as .BMP image through the 3D Window -BMPCopy- command. But if you want a vectorial image for handling after like 2D-drawing then you must pick the 3D Window -OBJCopy- command in the Interchange Submenu. It will copy the hidden image to Clipboard. This image can be pasted into another TECNOWIN drawing. The 3D Window -Save- command works in the same way but writes the image like a drawing file with .tnt extension.

SEE ALSO:

3D Window -Shading-


 3D Window -Shading-

Makes a Shading process.

    SITUATION:

   3D Window Menú.

    PARAMETERS:

    None.

    COMMENT:

 The Shading effect depends of the Shading model. The default shading model is Lights type which takes in account the light effect on the perspective.

SEE ALSO:

3D Windows -Shading Options-


 3D Window -Save-

 Makes a hidding lines process and writes the resulting vectorial image like a drawing file.

  SITUATION:

   3D Window Menú.

    PARAMETERS:

    Dialog Frame to save files..

    COMMENT:

SEE ALSO:

3D Window -Shading-


 3DWindow -BMPCopy-

Copies the image in the 3D Window to Clipboard as Windows Bitmap (.BMP) .

    SITUATION:

    3D Window Menu. Interchange SubMenu.

    PARAMETERS:

    None.

    COMMENT:

 The image size is the 3D Window current size in pixels. So if you want a full screen image then maximise the window.

SEE ALSO:


 3D Window -ObjCopy-

Makes a hidding lines process and copies the resulting vectorial image to Clipboard so that it can be pasted from another drawing.

   SITUATION:

    3D Window Menu. Interchange SubMenu.

    PARAMETERS:

    None.

    COMMENT:

SEE ALSO:


 TECNOWIN-3D -ToolBox-

 Displays a TOOLBOX with TECNOWIN-3D commands.

    SITUATION:

    3D Menu.

    PARAMETERS:

    You can choose between some ToolBox shapes. They are in schematic mode in the menu.

    COMMENT:

SEE ALSO:


Contenidos
TECNOWIN:TECNOCAD

Help File for  TECNOWIN / TECNOCAD  Extension

© 1995-1996  TECNOSOFT / F. JAVIER CUESTA GUTIERREZ .  All Rights Reserved.

•	Walls Commands

•	Doors Commands

•	Windows Commands

•	Other Commands


TECNOCAD

 TECNOWIN v.3.10 a - Architectural Extension.

TECNOWIN and TECNOCAD are © 1995-1996 TECNOSOFT. All Rights Reserved.


CWall Commands
Walls Commands

•	 Offset

•	 Double Lines

•	 X Intersection

•	 T Intersection

•	 L Intersection


CDoor Commands
Doors Commands

•	 Doors Commands

•	 Door -Single Leaf-

•	 Door -Double Leaf-

•	 Door -Double (different) Leaf-

•	 Erase Door

•	 Copy Door


CWindows Commands
Windows Commands

•	 Windows Parameters

•	 Window

•	 Erase Window

•	 Copy Window


OOther Commands
Other Commands

•	 Pillar

•	 Automatic Dim

•	 Area -Enclosure-


 Offset

Makes an customised offset command (see TECNOWIN).

  SITUATION:

  TECNOCAD Menu. WALLS Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

   * SELECTION of (wall) objects to make the operation.

  *  Dialog Frame with default values list of walls thickness. If your desired thickness is not at the list type it in.

    * Point to indicate the offset side.

  COMMENT:

    This command is a variant of the TECNOWIN offset command. It displays a list with predefined thick values. You also can type your thick if it is not at list. The functionalities of this OFFSET command are the following: a) The same than the TECNOWIN OFFSET command.  b) Drawing an associate wall-line to another previously drawn. The list will be  useful in this case.

SEE ALSO: Double Lines


 Double Lines

 Draws parallel walls with the wide indicated through a Dialog Frame. The command also cleans intersections with another walls.

 SITUATION:

  TECNOCAD Menu. WALLS Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

*  Dialog Frame with default values list of walls wide. If your wall wide is not at the list type it in.

*  Starting point of the first wall-line (P1).

 * You pick the end point for the first wall-line (P2). Then the application asks for another point referred to the previous picked point to draw the associate (the other side of the) wall-line(P3) .Then it draws the double-line and it also cleans all intersections with any wall. The process is the same to enter all the points to define the wall. It finishes when you click the right button of your mouse

  If the initial width of the wall changes in a section (for example you start with 0.07 meters and it changes to 0.10 meters), you can change it typing s (or S). It activates again the Dialog Frame to enter a new wall wide.

  The lines that you are drawing will belong to the WALLS Layer. TECNOWIN will create this layer if not exists.

    COMMENT:

 This command allows to make double wall-lines and it ALSO cleans all linear intersections with any walls (it will not clean intersections with lines of other layers). The user will usually be able to choose between this wall creation method or the following one: He can make lines in the WALLS Layer. Then he can offset them and clean their intersections with other walls (with the X INTERSECTION, T INTERSECTION, L INTERSECTION commands).

SEE ALSO: Offset


 X Intersection

Cleans intersections between walls in X.

 SITUATION:

  TECNOCAD Menu. WALLS Submenu..

  TECNOCAD ToolBox.

    PARAMETERS:

   SELECTION of the walls to clean (usually by Capture method for convenience).

    COMMENT:

 Cleans walls that cut one to another forming a X intersection. It only works with WALLS lines.

SEE ALSO: T Intersection

                              L Intersection


 T Intersection

Cleans intersections between walls in T.

SITUATION:

  TECNOCAD Menu. WALLS Submenu..

  TECNOCAD ToolBox.

    PARAMETERS:

 SELECTION of the walls to clean (usually by Capture method for convenience: P1-P2).

  T foot:  SINGLE SELECTION of one line that is the T foot of the intersection (P3) because there are three possible solutions. If you do not pick any objects the command will be cancelled.

    COMMENT:

Cleans walls that cut one to another (a physical cut is not necessary) forming a T intersection. It only works with WALLS lines.

SEE ALSO: X Intersection

                              L Intersection


 L Intersection

Cleans intersections between walls in L.

SITUATION:

  TECNOCAD Menu. WALLS Submenu..

  TECNOCAD ToolBox.

 PARAMETERS:

 SELECTION of the walls to clean (usually by Capture method for convenience: P1-P2).

 Internal Angle: Pick a point from the point indicated by TECNOWIN to define the internal angle of the L intersection (P3) . It allows TECNOWIN choose a L intersection between the four mathematically possible intersections.

    COMMENT:

Cleans walls that cut one to another (a physical cut is not necessary) forming a L intersection. It only works with WALLS lines.

SEE ALSO: X Intersection

                              T Intersection


 Door Parameters

Changes the door parameters by default. In that way all new doors in drawing are created according the new parameters.

  SITUATION:

  TECNOCAD Menu. Door Submenu..

  TECNOCAD ToolBox.

    PARAMETERS:

Dialog Frame to enter the Door Parameters. The following parameters are defined (in  meters):

  * Frame Thick.

  * Leaf Thick.

  * Inserting mode of the door referred to the wall where the door will be inserted:

  Internal, Centered or External.

    COMMENT:

SEE ALSO: Door -Single Leaf-


 Door -Single Leaf-

Draws a door of single leaf.

  SITUATION:

  TECNOCAD Menu. Door Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

  Dialog Frame. It looks like the Door Parameters Dialog Frame but it also has got a field to enter the door width (list with pre-defined values). The rest of the Dialog Frame values are the same that the Door Parameters Dialog. You can modify them if you wish to. However you can only enter a value: door width.

 Reference Point: It is usually the INTERSECTION / ENDPOINT point of the wall where the door will be inserted. Youve got two choices for the line. You must select the wall side that is EXTERNAL referred to the enclosure the door will open (P1).

  Insert Point (External Wall): On the same line that you picked the previous Reference Point pick the point the door begins (P2).

  Insert Point (Internal Wall): Pick a point more or less perpendicular referred to the previous picked point and that is near / on the INTERNAL wall side (P3).

    COMMENT:

 Draws a single leaf door according the parameters indicated in the Dialog Frame (if you do not change them, they will be the same that the Door Parameters plus the leaf width).

 The doors are created like blocks that belong to the DOOR Layer. TECNOWIN will create this layer if not exists.

SEE ALSO: Door Parameters

                              Door -Double Leaf-

                              Door -Double Different Leaf-


 Door  -Double Leaf-

Draws a door of double leaf (with the same width).

  SITUATION:

  TECNOCAD Menu. Door Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

Dialog Frame. It looks like the Door Parameters Dialog Frame but it also has got two fields to enter the leafs width (list with pre-defined values). The rest of the Dialog Frame values are the same that the Door Parameters Dialog. You can modify them if you wish to. However you only must enter two values: The leafs width.

 To see the meaning of the other parameters please see DOOR -SINGLE LEAF- command.

    COMMENT:

Draws a double leaf door according the parameters indicated in the Dialog Frame (if you do not change them, they will be the same that the Door Parameters plus the leaf width).

 The doors are created like blocks that belong to the DOOR Layer. TECNOWIN will create this layer if not exists.

SEE ALSO: Door -Single Leaf-

                              Door -Double Different Leaf-


 Door -Double Different Leaf-

Draws a door of double leaf (with different width).

SITUATION:

  TECNOCAD Menu. Door Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

Dialog Frame. It looks like the Door Parameters Dialog Frame but it also has got two fields to enter the leafs width (list with pre-defined values). The rest of the Dialog Frame values are the same that the Door Parameters Dialog. You can modify them if wish to. However you only must enter two values: The leafs width.

 To see the meaning of the other parameters please see DOOR -SINGLE LEAF- command.

    COMMENT:

Draws a double (DIFFERENT) leaf door according the parameters indicated in the Dialog Frame (if you do not change them, they will be the same that the Door Parameters plus the leafs width).

 The doors are created like blocks that belong to the DOOR Layer. TECNOWIN will create this layer if it does not exist.

SEE ALSO: Door -Single Leaf-

                              Door -Double Leaf-


 Erase Door

Erases the selected door.

SITUATION:

  TECNOCAD Menu. Door Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

SINGLE SELECTION of the door to erase.

   COMMENT:

 Erases a door and come back to restore the previous state of the walls (it has the same effect than the UNDO command).

SEE ALSO: Door -Single Leaf-


 Copy Door

Copies the selected door to another position.

SITUATION:

  TECNOCAD Menu. Door Submenu..

  TECNOCAD ToolBox.

  PARAMETERS:

Reference points and insert point in the same way to draw any door (see DOOR -SINGLE LEAF- command).

SINGLE SELECTION of the door to copy.

  COMMENT:

 Draws a copy of the selected door in the position indicated by the user. Anyway you must keep on mind that both doors must have the same relative position referred to the wall where are inserted. If not, the door will not be drawn  accurately.

SEE ALSO: Door -Single Leaf-


 Window Parameters

 Changes the window parameters by default. In that way all new windows in drawing are created according the new parameters.

  SITUATION:

  TECNOCAD Menu. Windows Submenu..

  TECNOCAD ToolBox.

    PARAMETERS:

Dialog Frame to enter the Window Parameters. The following parameters are defined (in  meters):

  * Frame Thick.

  * Inserting mode of the window referred to the wall where the window will be inserted:

    Internal, Centered or External.

  * Inserting mode in walls:

 Referred to a Reference Point (general mode).

 Centered referred the wall where the window will be inserted.

  * Draw the window WITH / WITHOUT sill.

    COMMENT:

SEE ALSO: Window


 Window

Draws a window.

SITUATION:

  TECNOCAD Menu. Windows Submenu..

  TECNOCAD ToolBox.

    PARAMETERS:

Dialog Frame. It looks like the Window Parameters Dialog Frame but it also has got two fields to enter the window width and the leafs number (list with pre-defined values). The rest of the Dialog Frame values are the same that the Window Parameters Dialog. You can modify them if wish to. However you must enter two values: window width / leafs number.

   The other parameters to define a window depends whether the user picks the option Window Referred Reference Point or Window centered in wall:

      a) Window Referred Reference Point:

 Reference Point: It is usually the INTERSECTION / ENDPOINT point of the wall where the window will be inserted. Youve got two choices for the line. You must elect the wall side that is INTERNAL referred to the enclosure the window will open (P1).

  Insert Point (Internal Wall): On the same line that you picked the previous Reference Point pick the point the window begins (P2).

  Insert Point (External Wall): Pick a point more or less perpendicular referred to the previous picked point and that is near / on the EXTERNAL wall side (P3).

    b) Window centered in wall:

 SINGLE SELECTION INDIVIDUAL of the Internal Wall. (Please see discussion about Internal / External Wall (Side) in a).

 Insert Point (External Wall): Please see also this concept in a).

    COMMENT:

 Draws a window according the Parameters entered in the Dialog Frame.

 The windows are created like blocks that belong to the WINDOW Layer. TECNOWIN will create this layer if it does not exist.

SEE ALSO: Window Parameters


 Erase Window

Erases a window.

SITUATION:

  TECNOCAD Menu. Windows Submenu..

  TECNOCAD ToolBox.

 PARAMETERS:

     SINGLE SELECTION INDIVIDUAL of the window to erase.

  COMMENT:

 Erases a window and come back to restore the previous state of the walls (it has the same effect than the UNDO command).

SEE ALSO: Window


 Copy Window

Copies the selected window to another position.

SITUATION:

  TECNOCAD Menu. Window Submenu..

  TECNOCAD ToolBox.

 PARAMETERS:

Reference points and insert point in the same way to draw any window (see WINDOW  command).

SINGLE SELECTION of the window to copy.

  COMMENT:

 Draws a copy of the selected window in the position indicated by the user.

SEE ALSO: Window


 Pillar

Draws a pillar with the position and dimensions defined by the user.

SITUATION:

  TECNOCAD Menu.

  TECNOCAD ToolBox.

  PARAMETERS:

* SINGLE SELECTION of the Reference Line according x edge.

* SINGLE SELECTION of the Reference Line according y edge.

* Dialog Frame to locate and dim the two sides of the pillar referred the references lines x and y (in meters):

   - Distance to x reference line from the parallel pillar side referred to it.

   - Distance to x reference line from the parallel pillar side referred to it.

   - Dimension of the parallel pillar side which is parallel to x reference line.

   - Dimension of the parallel pillar side which is parallel to y reference line.

  COMMENT:

Draws the pillar cutting the intersection with any wall if proceed.

The reference lines do not need to be parallels to the World Reference Edges X and Y.

You must keep on mind that if you want call later the AREA -ENCLOSURE- command you must swing the pillar with lines that belong to the WALLS layer.

SEE ALSO:  Offset

                               Area -Enclosure-


 Automatic Dim

Dims in a semiautomatic mode a group of lines at the same time.

SITUATION:

  TECNOCAD Menu.

  TECNOCAD ToolBox.

  PARAMETERS:

  * Initial point (P1) of the line that define the edge-line to dim.

  * Initial point (P2) of the line that define the edge-line to dim.

  * Insert point of the dim texts (P3) : All the dim texts will be drawn according that point. It must not coincide exactly with a point of the edge-line (although it can be a very close point).

   * Dialog Frame with the following parameters:

        Minimum Dim: Dims under this value will not be drawn.

        Maximum Dim: Dims upper this value will not be drawn.

   COMMENT:

 Draws dims between all LINE objects that are cut by the edge-line defined by the user. The dims will be drawn according to the current Dim Parameters.

 We show an example to understand as the Minimum / Maximum Dim Parameters works:

  If you wish NOT DIM under a defined length we must enter this length like Minimum Dim . For example a 0.30 meters value will not dim the walls which wide is lower to 0.30 . If we do not specify this value TECNOWIN assumes there is not lower limitation.

 - If you wish NOT DIM upper a defined length we must enter this length like Maximum Dim. For example a 0.50 meters value will not dim lengths upper 0.50 meters.

If we do not specify this value TECNOWIN assumes there is not upper limitation.

 The dims are created in the ACOT Layer. TECNOWIN will create this layer if not exists.

SEE ALSO:


 Area  -Enclosure-

Calculates the area of a enclosure (closed polygon).

SITUATION:

  TECNOCAD Menu.

  TECNOCAD ToolBox.

PARAMETERS:

SINGLE SELECTION of a wall-line.

  COMMENT:

 Calculates and shows the area of the indicated enclosure. This enclosure MUST BE CLOSED, I  mean it must be made by WALLS, DOORS AND WINDOWS. There must not be another HOLE because the command will not work.

SEE ALSO:


Contenidos
TECNOWIN

Help File for TECNOWIN-3D  (Architecture Extension).

© 1995-1996 TECNOSOFT  / F. JAVIER CUESTA GUTIERREZ. All Rights Reserved.

•	Doors -3D Parameters-

•	Change 3D Door

•	Windows -3D Parameters-

•	Change 3D Window

•	Stairs

•	Multifloor

•	Calculate Wall Tops


TECNOWIN
TECNOWIN INFORMATION

 TECNOWIN v.3.10a - 3D Architecture Extension -.

TECNOWIN is © 1995-1996 TECNOSOFT. All Rights Reserved.


EStairs
Stairs

•	Stairs -1 Flight-

•	Stairs -2 Flights-

•	Stairs -Spiral-


Door -3D Parameters-
 Doors  -3D Parameters-

 Allows to modify the 3D Parameters of the doors (Height) so that all the following new doors will be drawn according the new 3D Parameters.

    SITUATION:

    TECNOCAD-3D Menu.

    PARAMETERS:

   * Dialogue Frame to enter the new height of the doors.

    COMMENT:

SEE ALSO:

Change 3D Door


 Change 3D Door

 Allows to modify the 3D Parameters (height) of the selected group of door objects.

   SITUATION:

    TECNOCAD-3D Menu.

    PARAMETERS:

   * SELECTION OF OBJECTS (only door objects will be considered).

    COMMENT:

Changes the doors height of the selected objects according the last value entered in the Door -3D Parameters- command.

SEE ALSO:

Door -3D Parameters-


 Window -3D Parameters-

Allows to modify the 3D Parameters of the windows (Elevation / Height) so that all the following new windows will be drawn according the new 3D Parameters.

    SITUATION:

    TECNOCAD-3D Menu.

    PARAMETERS:

   * Dialogue Frame to enter the 3D Parameters for windows.

    COMMENT:

SEE ALSO:

Change 3D Window


 Change 3D Window

Allows to modify the 3D Parameters (height) of the selected group of door objects.

   SITUATION:

    TECNOCAD-3D Menu.

    PARAMETERS:

   * SELECTION OF OBJECTS (only window objects will be considered).

    COMMENT:

Changes the windows elevation/height of the selected objects according the last value entered in the Window -3D Parameters- command.

   SEE ALSO:

Window -3D Parameters-


 Stairs  -1 Flight-

Draws a stair flight according the parameters entered through a Dialogue Frame.

   SITUATION:

    TECNOCAD-3D Menu.Stairs Option.

    PARAMETERS:

   * Dialogue Frame to enter the following parameters:

     - Initial Z of the stair.

     - To Z.

     - Floor Forging thick.

     - Stair Forging thick.

     - Number of steps (Dialogue Frame to pre-calculate).

    * Points to define the stair in plan:

      - From Point.

      - To Point (defines the stair length).

      - To Point (defines the stair width).

    COMMENT:

SEE ALSO:

Stairs -2 Flights-


 Stairs -2 Flights-

Draws a stair (two flights) according the parameters entered through a Dialogue Frame.

   SITUATION:

    TECNOCAD-3D Menu.Stairs Option.

    PARAMETERS:

   * Dialogue Frame to enter the following parameters:

     - Initial Z of the stair.

     - To Z.

     - Floor Forging thick.

     - Stair Forging thick.

     - Number of steps (Dialogue Frame to pre-calculate).

     - Hole between flights.

    * Points to define the stair in plan:

      - From Point.

      - To Point (defines the stair length).

      - To Point (defines the stair width for the first flight).

    COMMENT:

    DESCRIPTION:

SEE ALSO:

Stairs -1 Flight-


 Stairs -Spiral-

Draws a spiral staircase according the parameters entered through a Dialogue Frame.

   SITUATION:

    TECNOCAD-3D Menu.Stairs Option.

    PARAMETERS:

*  Dialogue Frame to enter the following parameters:

     - From Z (Initial stair Z).

     - To Z.

     - Radius of Internal Circle.

     - Radius of External Circle.

     - Number of steps.

     - Angle increase.

* Points to define the stair in plan:

      - Center Point.

      - To Point (defines the initial angle).

    COMMENT:

SEE ALSO:


 Multifloor

 Creates a group of floors (multifloor) identical to the basis-floor allowing to generate the general schema for a 3D building.

SITUATION:

   TECNOCAD-3D Menu

PARAMETERS:

* Dialogue Frame with Files Preview format to pre-visualise the basis floor. This is the floor that we are going to repeat from a Z value a number (number of floors equal to the basis floor). When we pre-visualise one of the basis floor of our building we can assign parameters for that drawing (floor) using the Select and Assign Parameters option. It opens another Dialogue Frame and we enter in it the following parameters:

        - From Z. This is the initial Z value for these floors (we assume as 0 the Z value for any basis-floor for our drawing).

        - Number of floors equal to the basis-floor.

      - Finish off in lower floor: We usually pick ON to our first floor of the building because the bottom wall lines will be drawn.

       - Finish off in upper floor: We usually pick ON to our last  floor of the building.

        We usually let OFF this option for intermediate floors because not lines will be drawn between floors.

        When we accept these parameters TECNOWIN draws the appropriate floors in 3D. Then returns to the previous Dialogue Frame to pre-visualise and assign parameters to another basis-floor if necessary.

    COMMENT:

SEE ALSO:


 Calculate Wall Tops

Calculates and draws (in hide mode) the wall tops. The wall tops are solid faces that make a solid appearance to walls to hide / shade commands.

SITUATION:

   TECNOCAD-3D Menu

PARAMETERS:

   None.

COMMENT:

  The Wall Tops give a solid aspect to walls. When we draw a wall they are only LINES (lines have the advantage that we can easily handle them). But Wall Tops allow to obtain a more realistic effect to hide / shade commands. They have not any sense in 2D drawings.

SEE ALSO: